/* vim: set filetype=javascript: */
function loadSettingsJS() {

    //------------------------------------------------------------
	// SET UP TABS
	//------------------------------------------------------------
	//set up tabs
	$("#settings_tab_0").mousedown(function() { 
		selectNonTaskTab(0);
	});
	$("#settings_tab_1").mousedown(function() { selectNonTaskTab(1); });
	$("#settings_tab_2").mousedown(function() { selectNonTaskTab(2); });
	$("#settings_tab_3").mousedown(function() { selectNonTaskTab(3); });
	$("#settings_tab_4").mousedown(function() { selectNonTaskTab(4); });
	$("#settings_tab_5").mousedown(function() { selectNonTaskTab(5); });
	$("#settings_tab_6").mousedown(function() { selectNonTaskTab(6); });
	$("#settings_tab_7").mousedown(function() { update_usb_settings_only = true; GetConfiguration(); selectNonTaskTab(7); });
	$("#settings_tab_8").mousedown(function() { update_usb_settings_only = true; GetConfiguration(); selectNonTaskTab(8); });


	/* User Profiles / Configurations */
	//set up settings_config_apply confirmation dialog
	$("#settings_config_apply_dialog").dialog({
		dialogClass: 'ui-sm-dialog ui-sm-dialog-notitlebar',
		bgiframe: true,
		autoOpen: false,
		modal: true,
		buttons: {
			'OK': function() {
				$(this).dialog('close');
			}
		}
	});


	//set up row selector
    $("#settings_profiles_select").unbind("mousedown");
	$("#settings_profiles_select").on("mousedown", ".select-opt td", function() {
        if ($(this).hasClass("delete-profile")) {   	//set up Delete Profile
            var sel_prof = $(this).parent().find(".col1").text();
            var info = "<?= t("DELETE_PROFILE_N_ARE_YOU_SURE"); ?>";
            info = info.replace("%1", sel_prof);
            $("#settings_config_delete_dialog").html(info);
            $("#settings_config_delete_dialog").data('sel_prof', sel_prof);
            $("#settings_config_delete_dialog").dialog('open');
        }
        else {
            var cur_prof = $(this).parent().find(".col1").html();
            var sel_prof = "";
            $("#settings_profiles_select .select-opt").each(function() {
                if ($(this).hasClass("ui-selected")) {
                    sel_prof = $(this).find(".col1").html();
                    $(this).toggleClass("ui-selected");
                }
            });

            if (cur_prof != sel_prof) {
                $(this).parent().toggleClass("ui-selected");
            }

            if ($(this).parent().hasClass("ui-selected")) enableObj($("#settings_config_load, #settings_config_save"));
            else disableObj($("#settings_config_load, #settings_config_save"));
        }
    });

	//set up confirmation dialog
	$("#settings_config_delete_dialog").dialog({
		dialogClass: 'ui-conf-dialog',
		bgiframe: true,
		autoOpen: false,
		modal: true,
		buttons: {
			'YES': function() {
				$(this).dialog('close');
				var sel_prof = $(this).data('sel_prof');
				DbManagement({'DbOpr': 2, 'DbDst': sel_prof});	//REMV
				DbManagement({'DbOpr': 4});	//LIST
			}
		}
	});
		
	//set up New button
	$("#settings_config_new").mousedown(function() {
		if ($(this).attr('disabled') != 'disabled') {		//'click' isn't automically disabled for DIVs
			$("#settings_config_profile_val").val("");
			$('#settings_config_new_keyboard_dialog').dialog('open');
		}
	});
	//set up settings_config_new_keyboard_dialog
	$("#settings_config_new_keyboard_dialog").dialog({
		bgiframe: true,
		autoOpen: false,
		position: [17,11],
		modal: true,
		resizable: false,
		draggable: false,
		buttons: {
			'OK': function() {
				var prof = $("#settings_config_profile_val").val();
				$(this).dialog('close');
				DbManagement({'DbOpr': 1, 'DbSrc': 'default', 'DbDst': prof});	//COPY
				DbManagement({'DbOpr': 4});	//LIST
				$("#settings_config_profile_val").val("");
			}
		},
		close: function(event, ui) {
			resetKeyboard("settings_config_new");
		}
	});

	//set up Save button
	$("#settings_config_save").mousedown(function() {
		if ($(this).attr('disabled') != 'disabled') {		//'click' isn't automically disabled for DIVs
			$("#settings_profiles_select .select-opt").each(function() {	//get selected profile
				if ($(this).hasClass("ui-selected")) {
					var sel_prof = $(this).find(".col1").text();
					var info = "<?= t("SAVE_CONFIG_TO_PROFILE_N_ARE_YOU_SURE"); ?>";
					info = info.replace("%1", sel_prof);
					$('#settings_config_save_dialog').html(info);
					$('#settings_config_save_dialog').data("sel_prof", sel_prof).dialog('open');
					return;
				}
			});
		}
	});
	//set up confirmation dialog
	$("#settings_config_save_dialog").dialog({
		dialogClass: 'ui-conf-dialog',
		bgiframe: true,
		autoOpen: false,
		modal: true,
		buttons: {
			'YES': function() {
				$(this).dialog('close');
				DbManagement({'DbOpr': 3, 'DbDst': $(this).data("sel_prof")});
			}
		}
	});	
	

	//set up Load button
	$("#settings_config_load").mousedown(function() {
		if ($(this).attr('disabled') != 'disabled') {		//'click' isn't automically disabled for DIVs
			$("#settings_profiles_select .select-opt").each(function() {	//get selected profile
				if ($(this).hasClass("ui-selected")) {
					var sel_prof = $(this).find(".col1").text();
					var info = "<?= t("LOAD_SELECTED_PROFILE_N_ARE_YOU_SURE"); ?>";
					info = info.replace("%1", sel_prof);
					$('#settings_config_load_dialog').html(info);
					$('#settings_config_load_dialog').data("sel_prof", sel_prof).dialog('open');
					return;
				}
			});
		}
	});
	//set up confirmation dialog
	$("#settings_config_load_dialog").dialog({
		dialogClass: 'ui-conf-dialog',
		bgiframe: true,
		autoOpen: false,
		modal: true,
		buttons: {
			'YES': function() {
				$(this).dialog('close');
				DbManagement({'DbOpr': 0, 'DbSrc': $(this).data("sel_prof")});
				DbManagement({'DbOpr': 4});	//LIST
			}
		}
	});

	/* Log Password */
	$("#settings_log_password_btn").mousedown(function() {
		$("#settings_key_dialog").dialog('option', 'title', "<?php if ($LOGICUBE_PLATFORM == "zclonexi" || $LOGICUBE_PLATFORM == "zxtower"): ?><?= t("FILE_DELETION_PASSWORD"); ?><?php else: ?><?= t("LOG_FILE_DELETION_PASSWORD"); ?><?php endif; ?>");
		updatePassKeyModals("AuditLog");
		$("#settings_key_dialog").data('name', 'AuditLog');
		if (logkey_config['Key'] == 'Not Set') {
			$("#settings_key_dialog").dialog('open');
		}
		else {
			if ((logkey_config['KeyValue'] != '') && (logkey_config['Challenge'] == '')) {		//get Challenge in background
				logkey_config['Callback'] = "settings_key_dialog";
				PassKeyValidate("AuditLog");
			}
			else if (logkey_config['KeyValue'] == '') {		//need user to input Key
				logkey_config['Callback'] = "settings_key_dialog";
				$("#settings_unlock_dialog").data('name', 'AuditLog');
				$("#settings_unlock_dialog").dialog('option', 'title', "<?php if ($LOGICUBE_PLATFORM == "zclonexi" || $LOGICUBE_PLATFORM == "zxtower"): ?><?= t("ENTER_FILE_DELETION_PASSWORD_TO_UNLOCK"); ?><?php else: ?><?= t("ENTER_LOG_FILE_DELETION_PASSWORD_TO_UNLOCK"); ?><?php endif; ?>");
				$("#settings_unlock_dialog").dialog('open');
				checkKeysEntered();
				$first_uv.focus();
			}
			else {	//we have Key and Challenge
				$("#settings_key_dialog").dialog('open');
			}
		}
	});

	
	/* Config Lock */
	$("#settings_key_btn").mousedown(function() {
		$("#settings_key_dialog").dialog('option', 'title', "<?= t("EDIT_KEY_SETTINGS"); ?>");
		updatePassKeyModals("ConfigLock");
		$("#settings_key_dialog").data('name', 'ConfigLock');
		if (passkey_config['Key'] == 'Not Set') {
			$('#settings_key_dialog').dialog('open');
		}
		else {
			if ((passkey_config['KeyValue'] != '') && (passkey_config['Challenge'] == '')) {		//get Challenge in background
				passkey_config['Callback'] = "settings_key_dialog";
				PassKeyValidate("ConfigLock");
			}
			else if (passkey_config['KeyValue'] == '') {		//need user to input Key
				passkey_config['Callback'] = "settings_key_dialog";
				$("#settings_unlock_dialog").data('name', 'ConfigLock');
				$("#settings_unlock_dialog").dialog('option', 'title', "<?= t("ENTER_KEY_TO_UNLOCK"); ?>");
				$("#settings_unlock_dialog").dialog('open');
				checkKeysEntered();
				$first_uv.focus();
			}
			else {	//we have Key and Challenge
				$("#settings_key_dialog").dialog('open');
			}
		}
	});
	$("#settings_key_dialog").dialog({
		bgiframe: true,
		autoOpen: false,
		position: [17,11],
		modal: true,
		resizable: false,
		draggable: false,
		buttons: {
			'OK': function() {
				var enabled = true;
				$("#settings_lock_select .select-opt").each(function(i) {
					 if ($(this).hasClass("ui-selected") && (i==0)) enabled = false;
				});
				if ($(this).data('name') == 'AuditLog') var key_config = logkey_config;
				else var key_config = passkey_config;

				key_config['Enabled'] = enabled;
				var keyvalue = "";
				if (enabled) {
					$("#settings_key_boxes input").each(function() {
						keyvalue += $(this).val().toUpperCase();
					});
				}
				else {
					keyvalue = '';
				}				

				updatePassKeyButtons($(this).data('name'));
				$(this).dialog('close');
				PassKeySet($(this).data('name'), keyvalue);
				PassKeyGet($(this).data('name'));	//call this in case key went from 'Not Set' to 'Set', so button gets updated immediately
			}
		}
	});

	/* Config Lock - Key modal */
	// Enable/Disable
	$("#settings_lock_select .select-opt").mouseup(function(e) {	//call this on mouse up, so textbox can be selected
		$("#settings_lock_select .select-opt").each(function() {
			if ($(this).hasClass("ui-selected")) $(this).toggleClass("ui-selected");
		});
		$(this).toggleClass("ui-selected");

		if ($(this).attr("id") == "settings_lock_disable") {	//DISABLE
			disableObj($("#settings_key_enter"));
			disableObj($("#settings_key_keys"));
			$focussed_kv.blur();
	
			//enable OK button
			$("#settings_key_dialog").next(".ui-dialog-buttonpane").find("button").removeAttr('disabled');	//disableObj function only handles ids
			$("#settings_key_dialog").next(".ui-dialog-buttonpane").find("button").removeClass('ui-state-disabled');

		}
		else {	//ENABLE
			enableObj($("#settings_key_enter"));
			enableObj($("#settings_key_keys"));
			$focussed_kv.focus();
			
			//check key match for error message, enable/disable OK button
			checkKeyMatch();
		}
	});

	/* when user types a valid hex value, advance to next input box */
	$("#settings_key_enter input").keyup(function(e) {
		if ($("#settings_key_enter").attr('disabled') != 'disabled') {		//'click' isn't automically disabled for DIVs
			if (e.keyCode !== 9 && e.keyCode !== 16) {	//if user is Tab/Shift+Tabbing through boxes, don't advance
				if (isValidSingleHexNum($(this).val())) {	//only show valid key
					$(this).parent().next().find('input').focus();
				}
				else {
					$(this).val("");
				}
			}
			checkKeyMatch();
		}
	});

	function isValidSingleHexNum(val) {
		var strPattern = /^[0-9a-f]{1}$/i; 
		return strPattern.test(val);
	}

	/* keep focus on input boxes */
	$focussed_kv = $("#kv0");
	$first_kv = $("#settings_key_boxes div:first-child input");
	$last_kv = $("#settings_rekey_boxes div:last-child input");
	$("#settings_key_enter input").blur(function() {
		$(this).parent("div").removeClass("focus");
	});
	$("#settings_key_enter input").focus(function() {
		if ($("#settings_key_enter").attr('disabled') != 'disabled') {		//'click' isn't automically disabled for DIVs
			$(this).parent().addClass("focus");
			$(this).select();
			$focussed_kv = $(this);
		}
		else {
			$(this).blur();
		}
	});

	/* handle keyboard keys */
	$("#settings_key_keys div").mouseup(function() {
		if ($("#settings_key_keys").attr('disabled') != 'disabled') {		//'click' isn't automically disabled for DIVs

			if ($(this).attr("id") == "kkdel") {	//handle delete, delete val and go to prev box
				$focussed_kv.val("");
				if ($focussed_kv.attr("id") == $first_kv.attr("id")) {
					/*$focussed_kv = $last_kv;	//wrap from kv1 to kv11*/
					$focussed_kv.focus();
				}
				else if ($focussed_kv.attr("id") == "kv6") {
					$focussed_kv = $("#kv5");	//wrap from kv6 to kv5 (end of Enter Key to start of Re-Enter Key)
					$focussed_kv.focus();			
				}
				else {
					$focussed_kv.parent().prev().find("input").focus();
				}
			}
			else {
				$focussed_kv.val($(this).html());	//enter val and go to next box
				if ($focussed_kv.attr("id") == $last_kv.attr("id")) {
					/*$focussed_kv = $first_kv;	//wrap from kv11 to kv1*/
					$focussed_kv.focus();
				}
				else if ($focussed_kv.attr("id") == "kv5") {
					$focussed_kv = $("#kv6");	//wrap from kv5 to kv6 (end of Enter Key to start of Re-Enter Key)
					$focussed_kv.focus();
				}
				else {
					$focussed_kv.parent().next().find("input").focus();
				}
			}
			checkKeyMatch();
		}
	});
	
	//make sure Key and Re-Enter Key match (ignore case because converted to all caps when sent to server)
	function checkKeyMatch() {
		var error = false;
		for (var i=0; i<12; i++) {	//if anything blank, no error
			if ($("#kv" + i).val() == "") {
				$("#settings_key_error").html("");
				$("#settings_key_dialog").next(".ui-dialog-buttonpane").find("button").attr('disabled', 'disabled');	//disableObj function only handles ids
				$("#settings_key_dialog").next(".ui-dialog-buttonpane").find("button").addClass('ui-state-disabled');
				return true;
			}
		}
		for (var i=6; i<12; i++) {
			if ($("#kv" + i).val() != $("#kv" + (i-6)).val()) {	// see if each character matches
				$("#settings_key_error").html("<?= t("ERROR_KEYS_MUST_MATCH"); ?>");
				$("#settings_key_dialog").next(".ui-dialog-buttonpane").find("button").attr('disabled', 'disabled');		//disableObj function only handles ids
				$("#settings_key_dialog").next(".ui-dialog-buttonpane").find("button").addClass('ui-state-disabled');
				return false;
			}
		}
		$("#settings_key_error").html("");
		$("#settings_key_dialog").next(".ui-dialog-buttonpane").find("button").removeAttr('disabled');	//disableObj function only handles ids
		$("#settings_key_dialog").next(".ui-dialog-buttonpane").find("button").removeClass('ui-state-disabled');
		return true;
	}

	/* Unlock modal */
	$("#lock_icon").mousedown(function() {	//Lock Icon can be clicked when disabled
		if ((passkey_config['Key'] == 'Not Set') || (passkey_config['Enabled'] == false)) {	//setting up Lock
			$("#settings_key_btn").mousedown();
		}
		else if (!systemLocked()) {	//locking system
			lockGUI();
			setCookie('unlocked', '0', 0);	//delete cookie			
		}
		else {	//unlocking system
			passkey_config['Callback'] = "unlockGUI";
			$("#settings_unlock_dialog").data('name', 'ConfigLock');
			$("#settings_unlock_dialog").dialog('option', 'title', "<?= t("ENTER_KEY_TO_UNLOCK"); ?>");
			$('#settings_unlock_dialog').dialog('open');
			checkKeysEntered();
			$first_uv.focus();
		}
	});
	$("#settings_unlock_dialog").dialog({
		bgiframe: true,
		autoOpen: false,
		position: [17,11],
		modal: true,
		resizable: false,
		draggable: false,
		buttons: {
			'OK': function() {
				var keyvalue = "";
				$("#settings_unlock_boxes input").each(function() {
					keyvalue += $(this).val().toUpperCase();
				});
				if ($(this).data('name') == "AuditLog") {
					logkey_config['KeyValue'] = keyvalue;
				}
				else {
					passkey_config['KeyValue'] = keyvalue;
				}
				
				$(this).dialog('close');
				PassKeyValidate($(this).data('name'));
				updatePassKeyModals($(this).data('name'));
			}
		},
		close: function(event, ui) {
			updatePassKeyModals($(this).data('name'));
			$("#settings_unlock_error").html("");	//clear error message
		}
	});


	/* when user types a valid hex value, advance to next input box */
	$("#settings_unlock_enter input").keyup(function(e) {
		if (e.keyCode !== 9 && e.keyCode !== 16) {	//if user is Tab/Shift+Tabbing through boxes, don't advance
			if (isValidSingleHexNum($(this).val())) {	//only show valid key
				$(this).parent().next().find('input').focus();
			}
			else {
				$(this).val("");
			}
			checkKeysEntered();
		}
	});

	/* keep focus on input boxes */
	$focussed_uv = $("#uv0");
	$first_uv = $("#settings_unlock_boxes div:first-child input");
	$last_uv = $("#settings_unlock_boxes div:last-child input");
	$("#settings_unlock_enter input").blur(function() {
		$(this).parent("div").removeClass("focus");
	});
	$("#settings_unlock_enter input").focus(function() {
		$(this).parent("div").addClass("focus");
		$(this).select();
		$focussed_uv = $(this);
	});

	/* handle keyboard keys */
	$("#settings_unlock_keys div").mouseup(function() {
		if ($(this).attr("id") == "ukdel") {	//handle delete, delete val and go to prev box
			$focussed_uv.val("");
			if ($focussed_uv.attr("id") == $first_uv.attr("id")) {
				$focussed_uv.focus();
			}
			else {
				$focussed_uv.parent().prev().find("input").focus();
			}
		}
		else {
			$focussed_uv.val($(this).html());	//enter val and go to next box
			if ($focussed_uv.attr("id") == $last_uv.attr("id")) {
				$focussed_uv.focus();
			}
			else {
				$focussed_uv.parent().next().find("input").focus();
			}
		}
		checkKeysEntered();
	});

		
	
	/* Config Lock - Auto Lock modal */
	$("#settings_autolock_btn").mousedown(function() {
		if ($(this).attr('disabled') != 'disabled') {		//'click' isn't automically disabled for DIVs
			if (passkey_config['Key'] == 'Not Set') {
				//this shouldn't happen, button should be disabled
			}
			else {
				if ((passkey_config['KeyValue'] != '') && (passkey_config['Challenge'] == '')) {		//get Challenge in background
					passkey_config['Callback'] = "settings_autolock_dialog";
					PassKeyValidate("ConfigLock");
				}
				else if (passkey_config['KeyValue'] == '') {		//need user to input Key
					passkey_config['Callback'] = "settings_autolock_dialog";
					$("#settings_unlock_dialog").data('name', 'ConfigLock');
					$("#settings_unlock_dialog").dialog('option', 'title', "<?= t("ENTER_KEY_TO_UNLOCK"); ?>");
					$("#settings_unlock_dialog").dialog('open');
					checkKeysEntered();
					$first_uv.focus();
				}
				else {	//we have Key and Challenge
					$("#settings_autolock_dialog").dialog('open');
				}
			}
		}
	});
	$("#settings_autolock_dialog").dialog({
		dialogClass: 'ui-sm-dialog ui-sm-dialog-notitlebar',
		bgiframe: true,
		autoOpen: false,
		modal: true,
		resizable: false,
		draggable: false,
		buttons: {
			'OK': function() {
				passkey_config['Timeout'] = $("#settings_autolock_value_slider").slider("value");				

				updatePassKeyButtons("ConfigLock");
				$(this).dialog('close');
				PassKeySet("ConfigLock", "");
			}
		}
	});


	/* Encryption Settings */
	//Cipher Mode
	$("#settings_cipher_mode_btn").mousedown(function() {
		$("#settings_cipher_mode_dialog").dialog('open');
	});
	//set up settings_cipher_mode_dialog
	$("#settings_cipher_mode_dialog").dialog({
		dialogClass: 'ui-sm-dialog',
		bgiframe: true,
		autoOpen: false,
		modal: true,
		resizable: false,
		draggable: false,
		buttons: {
			'OK': function() {
				$("#settings_cipher_mode_select .select-opt", this).each(function(i) {
					if ($(this).hasClass("ui-selected")) encryption_config["CipherMode"] = i;
				});

				updateEncryptionButtons();
				$(this).dialog('close');
				EncryptionSet({"CipherMode": APICIPHERMODES[encryption_config["CipherMode"]], "Cipher": APICIPHERS[encryption_config["Cipher"]], "IVGen": APIIVGENS[encryption_config["IVGen"]], "Password": encryption_config["Password"]});
			}
		}
	});
	//unhighlight current selection, highlight new selection, only one selection allowed
	$("#settings_cipher_mode_select .select-opt").mousedown(function() {
		$("#settings_cipher_mode_select .select-opt").each(function() {
			if ($(this).hasClass("ui-selected")) $(this).toggleClass("ui-selected");
		});
		$(this).toggleClass("ui-selected");
	});

	//Cipher
	$("#settings_cipher_btn").mousedown(function() {
		$("#settings_cipher_dialog").dialog('open');
	});
	//set up settings_cipher_dialog
	$("#settings_cipher_dialog").dialog({
		dialogClass: 'ui-sm-dialog',
		bgiframe: true,
		autoOpen: false,
		modal: true,
		resizable: false,
		draggable: false,
		buttons: {
			'OK': function() {
				$("#settings_cipher_select .select-opt", this).each(function(i) {
					if ($(this).hasClass("ui-selected")) encryption_config["Cipher"] = i;
				});

				updateEncryptionButtons();
				$(this).dialog('close');
				EncryptionSet({"CipherMode": APICIPHERMODES[encryption_config["CipherMode"]], "Cipher": APICIPHERS[encryption_config["Cipher"]], "IVGen": APIIVGENS[encryption_config["IVGen"]], "Password": encryption_config["Password"]});
			}
		}
	});
	//unhighlight current selection, highlight new selection, only one selection allowed
	$("#settings_cipher_select .select-opt").mousedown(function() {
		$("#settings_cipher_select .select-opt").each(function() {
			if ($(this).hasClass("ui-selected")) $(this).toggleClass("ui-selected");
		});
		$(this).toggleClass("ui-selected");
	});

	//IV Generation
	$("#settings_ivgen_btn").mousedown(function() {
		if ($(this).attr('disabled') != 'disabled') {
			$("#settings_ivgen_dialog").dialog('open');
		}
	});
	//set up settings_ivgen_dialog
	$("#settings_ivgen_dialog").dialog({
		dialogClass: 'ui-sm-dialog',
		bgiframe: true,
		autoOpen: false,
		modal: true,
		resizable: false,
		draggable: false,
		buttons: {
			'OK': function() {
				$("#settings_ivgen_select .select-opt", this).each(function(i) {
					if ($(this).hasClass("ui-selected")) encryption_config["IVGen"] = i;
				});

				updateEncryptionButtons();
				$(this).dialog('close');
				EncryptionSet({"CipherMode": APICIPHERMODES[encryption_config["CipherMode"]], "Cipher": APICIPHERS[encryption_config["Cipher"]], "IVGen": APIIVGENS[encryption_config["IVGen"]], "Password": encryption_config["Password"]});
			}
		}
	});
	//unhighlight current selection, highlight new selection, only one selection allowed
	$("#settings_ivgen_select .select-opt").mousedown(function() {
		$("#settings_ivgen_select .select-opt").each(function() {
			if ($(this).hasClass("ui-selected")) $(this).toggleClass("ui-selected");
		});
		$(this).toggleClass("ui-selected");
	});

	//Encryption Password
	$("#settings_encpass_btn").mousedown(function() {
		$("#settings_encpass_val").val(encryption_config["Password"]);
		$("#settings_encpass_keyboard_dialog").dialog('open');
	});	
	//set up clone_case_info_keyboard_dialog
	$("#settings_encpass_keyboard_dialog").dialog({
		bgiframe: true,
		autoOpen: false,
		position: [17,11],
		modal: true,
		resizable: false,
		draggable: false,
		buttons: {
			'OK': function() {
				encryption_config["Password"] = $("#settings_encpass_val").val();
				updateEncryptionButtons();
				$(this).dialog('close');
				EncryptionSet({"CipherMode": APICIPHERMODES[encryption_config["CipherMode"]], "Cipher": APICIPHERS[encryption_config["Cipher"]], "IVGen": APIIVGENS[encryption_config["IVGen"]], "Password": encryption_config["Password"]});
			}
		},
		close: function(event, ui) {
			resetKeyboard("settings_encpass");
		}
	});


	/* Language / Time Zone */	
	//show current language as selected
	var lang = getCookie('lang');
	$("#settings_lang_btns .select-opt").each(function(i) {
		if ($(this).attr("id") == "settings_lang_" + lang) $(this).addClass("ui-selected");
		else $(this).removeClass("ui-selected");
	});
				
	$("#settings_lang_btns .select-opt").mousedown(function() {
		var lang = $(this).attr("id").replace("settings_lang_", "");

		disableGUI();
		var status = "<img src=\"themes/<?php print $LOGICUBE_THEME; ?>/images/ajax-loader.gif\" />";
		$("#disabled_gui_status").css("display", "table");
		$("#disabled_gui_status div").html(status);
		
        $(".ui-dialog").empty();	//clear out dialogs here because they are created outside of #main
        changing_language = true;

		$("#main").load("languages.php", {lang: lang}, function() {
            changing_language = false;
            DEFAULT_LANGUAGE = lang;
            setCookie('lang', lang, 365*1440);	//expire in 1 yr

            //show current language as selected
			$("#settings_lang_btns .select-opt").each(function(i) {
				if ($(this).attr("id") == "settings_lang_" + DEFAULT_LANGUAGE) $(this).addClass("ui-selected");
				else $(this).removeClass("ui-selected");
			});

            //stay on Settings page Languages tab (handled after WipeOnly value removes buttons)
            scroll_to_settings = true;

            //NOTE: works without page reload when using asynchronous XML-RPC calls, however we reverted to synchronous, so do this here
            document.location.reload(true);
        });
	});
	
	/* Time Zone */
	$("#settings_timezone_btn").mousedown(function() {
		$("#settings_timezone_region_select_dialog").dialog('open');
	});
	//set up settings_timezone_region_select_dialog
	$("#settings_timezone_region_select_dialog").dialog({
		bgiframe: true,
		autoOpen: false,
		position: [17,11],
		modal: true,
		resizable: false,
		draggable: false,
		buttons: {
			'OK': function() {
				var region = "";
				$("#settings_timezone_region_select .select-opt", this).each(function(i) {
					if ($(this).hasClass("ui-selected")) region = $(this).find(".col1").text();
				});
				$(this).dialog('close');
				if (region != "") {
					updateTimeZoneSelect(region);
					$("#settings_timezone_select_dialog").dialog('open');
				}
			}
		},
		close: function(event, ui) {
			updateTimeZonePage();	//resets selection
		}
	});

    $("#settings_timezone_region_select").unbind("mousedown");
    $("#settings_timezone_region_select").on("mousedown", ".select-opt", function() {
		if ($(this).hasClass("ui-state-disabled")) {
			//do not select disabled
		}
		else {
			$("#settings_timezone_region_select .select-opt").each(function() {
				if ($(this).hasClass("ui-selected")) $(this).toggleClass("ui-selected");
			});
			$(this).toggleClass("ui-selected");
		}		
	});
	//set up settings_timezone_select_dialog
	$("#settings_timezone_select_dialog").dialog({
		bgiframe: true,
		autoOpen: false,
		position: [17,11],
		modal: true,
		resizable: false,
		draggable: false,
		buttons: {
			'OK': function() {
				$("#settings_timezone_select .select-opt", this).each(function(i) {
					if ($(this).hasClass("ui-selected")) timezone = $(this).find(".col1").text();
				});
				$("#settings_timezone_btn_bottom").html(timezone);
				$(this).dialog('close');
				TimeZoneSet({'Name': timezone});
			}
		},
		close: function(event, ui) {
		}
	});

    $("#settings_timezone_select").unbind("mousedown");
    $("#settings_timezone_select").on("mousedown", ".select-opt", function() {
		if ($(this).hasClass("ui-state-disabled")) {
			//do not select disabled
		}
		else {
			$("#settings_timezone_select .select-opt").each(function() {
				if ($(this).hasClass("ui-selected")) $(this).toggleClass("ui-selected");
			});
			$(this).toggleClass("ui-selected");
		}		
	});
	
	
	/* Brightness */
	//value set in setSlider
	
	/* Stealth Mode */
	//unhighlight current selection, highlight new selection, only one selection allowed
	$("#settings_stealth_select .select-opt").mousedown(function() {
		$("#settings_stealth_select .select-opt").each(function() {
			if ($(this).hasClass("ui-selected")) $(this).toggleClass("ui-selected");
		});
		$(this).toggleClass("ui-selected");
		if ($(this).attr("id") == "settings_stealth_0") var s = APISTEALTHMODES[STEALTHMODE_ON];
		else var s = APISTEALTHMODES[STEALTHMODE_OFF];
		SetStealthMode(s);
	});

	/* Destination NCQ */
	//unhighlight current selection, highlight new selection, only one selection allowed
	$("#settings_destncq_select .select-opt").mousedown(function() {
		$("#settings_destncq_select .select-opt").each(function() {
			if ($(this).hasClass("ui-selected")) $(this).toggleClass("ui-selected");
		});
		$(this).toggleClass("ui-selected");
		if ($(this).attr("id") == "settings_destncq_0") var d = APIDESTINATIONNCQS[DESTINATIONNCQ_ON];
		else var d = APIDESTINATIONNCQS[DESTINATIONNCQ_OFF];
        SetConfiguration({"DestinationNcq": d});
    });

	/* Bay Roles */
	//edit role buttons
    $("#settings_bayroles_select").unbind("mousedown");
	$("#settings_bayroles_select").on("mousedown", ".edit-role", function() {
		var bay = $(this).parent().find(".col1").text();
		var role = $(this).parent().find(".col2").text();
		$("#settings_bayroles_role_select .select-opt").each(function(i) {
			if ($(this).text() == role) $(this).mousedown();	//set role for selected row
		});
		$('#settings_bayroles_role_dialog').data("bay", bay).dialog('open');
	});
	//set up settings_bayrole_role_dialog
	$("#settings_bayroles_role_dialog").dialog({
		dialogClass: 'ui-sm-dialog',
		bgiframe: true,
		autoOpen: false,
		modal: true,
		resizable: false,
		draggable: false,
		buttons: {
			'OK': function() {
				var role = 0;
				$("#settings_bayroles_role_select .select-opt").each(function(i) {
					if ($(this).hasClass("ui-selected")) role = i;
				});
				
				var bay = $(this).data("bay");
				for (var b in bays) {	//update role in bays array
					if (bays[b]["name"] == bay) {
						bays[b]["role"] = APIBAYROLES[role];
					}
				}
				updateBayRoleSelect();
				$(this).dialog('close');
				AssignBayRole({"Bay": bay, "Role": APIBAYROLES[role]});
			}
		}
	});
	//unhighlight current selection, highlight new selection, only one selection allowed
	$("#settings_bayroles_role_select .select-opt").mousedown(function() {
		$("#settings_bayroles_role_select .select-opt").each(function() {
			if ($(this).hasClass("ui-selected")) $(this).toggleClass("ui-selected");
		});
		$(this).toggleClass("ui-selected");
	});

    /* HPA/DCO */
    /* Auto Remove HPA */
	//unhighlight current selection, highlight new selection, only one selection allowed
	$("#settings_auto_remove_hpa_select .select-opt").mousedown(function() {
		$("#settings_auto_remove_hpa_select .select-opt").each(function() {
			if ($(this).hasClass("ui-selected")) $(this).toggleClass("ui-selected");
		});
		$(this).toggleClass("ui-selected");
		if ($(this).attr("id") == "settings_auto_remove_hpa_0") var m = APIAUTOREMOVEHPAS[AUTOREMOVEHPA_ENABLED];
		else var m = APIAUTOREMOVEHPAS[AUTOREMOVEHPA_DISABLED];
        SetConfiguration({"AutoRemoveHPA": m});
    });

    /* Auto Remove DCO */
	/*//unhighlight current selection, highlight new selection, only one selection allowed
	$("#settings_auto_remove_dco_select .select-opt").mousedown(function() {
		$("#settings_auto_remove_dco_select .select-opt").each(function() {
			if ($(this).hasClass("ui-selected")) $(this).toggleClass("ui-selected");
		});
		$(this).toggleClass("ui-selected");
		if ($(this).attr("id") == "settings_auto_remove_dco_0") var m = APIAUTOREMOVEDCOS[AUTOREMOVEDCO_ENABLED];
		else var m = APIAUTOREMOVEDCOS[AUTOREMOVEDCO_DISABLED];
        SetConfiguration({"AutoRemoveDCO": m});
    });*/

	//pause/unpause config calls on config dialog open/close
	$("#settings_key_dialog").bind("dialogopen", function() {
		pauseConfigCalls();
		$first_kv.focus();
	});
	$("#settings_key_dialog").bind("dialogclose", function() {
		unpauseConfigCalls();
	});
	$("#settings_autolock_dialog").bind("dialogopen", function() {
		pauseConfigCalls();
	});
	$("#settings_autolock_dialog").bind("dialogclose", function() {
		unpauseConfigCalls();
	});
	$("#settings_unlock_dialog").bind("dialogopen", function() {
		pauseConfigCalls();
		$first_uv.focus();
	});
	$("#settings_unlock_dialog").bind("dialogclose", function() {
		unpauseConfigCalls();
	});
	$("#settings_timezone_select_dialog").bind("dialogopen", function() {
		pauseConfigCalls();
	});
	$("#settings_timezone_select_dialog").bind("dialogclose", function() {
		unpauseConfigCalls();
	});

}