/* vim: set filetype=javascript: */
function loadSoftwareJS() {

    //------------------------------------------------------------
	// SET UP TABS
	//------------------------------------------------------------
	//set up tabs
	$("#software_tab_0").mousedown(function() { selectNonTaskTab(0); });
	$("#software_tab_1").mousedown(function() { selectNonTaskTab(1); });

	/* Software Updates */
	//disable Update buttons initially
	disableObj($("#software_network_update"));
	disableObj($("#software_usb_update"));
	
	$("#software_network").mousedown(function() {
		$('#software_update_dialog').html('Checking for software updates');
		$('#software_update_dialog').dialog('open');
		ApplicationCheckForUpdates('www');
        //startAppUpdateCalls called in callback
	});

	$("#software_usb").mousedown(function() {
		$('#software_update_dialog').html('Checking for software updates');
		$('#software_update_dialog').dialog('open');
		ApplicationCheckForUpdates('usb');
        //startAppUpdateCalls called in callback
	});

	//set up software_update confirmation dialog
	$("#software_update_dialog").dialog({
		dialogClass: 'ui-sm-dialog ui-sm-dialog-notitlebar',
		bgiframe: true,
		autoOpen: false,
		modal: true,
		resizable: false,
		draggable: false,
		buttons: [
			{
				text: 'ABORT',
				class: 'ui-set-up-abort-button',
				click: function() {
					ApplicationCheckForUpdatesAbort();
					$(this).dialog('close');
				}
			},
			{
				text: 'OK',
				class: 'ui-set-up-ok-button',
				click: function() {
					$(this).dialog('close');
				}
			}
		]
	});

	$("#software_network_update").mousedown(function() {
		if ($(this).attr('disabled') != 'disabled') {		//'click' isn't automically disabled for DIVs
			var path = $("#software_network_path").html();
			ApplicationUpgrade(path);
		}
	});

	$("#software_usb_update").mousedown(function() {
		if ($(this).attr('disabled') != 'disabled') {		//'click' isn't automically disabled for DIVs
			var path = $("#software_usb_path").html();
			ApplicationUpgrade(path);
		}
	});

	//set up software_upgrade confirmation dialog
	$("#software_upgrade_dialog").dialog({
		dialogClass: 'ui-sm-dialog ui-sm-dialog-notitlebar',
		bgiframe: true,
		autoOpen: false,
		modal: true,
		resizable: false,
		draggable: false,
		buttons: [
			{
				text: 'ABORT',
				class: 'ui-set-upgrade-abort-button',
				click: function() {
					ApplicationUpgradeAbort();
					$(this).dialog('close');
				}
			},
			{
				text: 'OK',
				class: 'ui-set-upgrade-ok-button',
				click: function() {
					$(this).dialog('close');
				}
			}
		]
	});


	$("#firmware_update_btn").mousedown(function() {
		if ($(this).attr('disabled') != 'disabled') {		//'click' isn't automically disabled for DIVs
			$('#firmware_update_dialog').dialog('open');
		}
	});
	//set up firmware_update_dialog
	$("#firmware_update_dialog").dialog({
		dialogClass: 'ui-sm-dialog ui-sm-dialog-notitlebar ui-sm-dialog-with-close',
		bgiframe: true,
		autoOpen: false,
		modal: true,
		buttons: {
			'OK': function() {
				$(this).text("<?= t("UPGRADING_FIRMWARE"); ?>");
                $(this).prev().find("button").hide();   //hide close X
                $(this).next().find("button").hide();   //hide OK button
                setTimeout(UpgradeFirmware, 5000);
			}
		}
	});


}