/* vim: set filetype=javascript: */
function loadWipeJS() {
    //disable wipe pass value slider sliding
	//$('#wipe_pass_value_slider').bind('dragstart', function(event) { event.preventDefault(); });


	//------------------------------------------------------------
	// SET UP TABS, ADD TASK, DELETE TASK
	//------------------------------------------------------------
	//set up tabs
	$("#wipe_tab_0").mousedown(function() { selectTab(0); });
	$("#wipe_tab_1").mousedown(function() { selectTab(1); });
	$("#wipe_tab_2").mousedown(function() { selectTab(2); });
	$("#wipe_tab_3").mousedown(function() { selectTab(3); });
	$("#wipe_tab_4").mousedown(function() { selectTab(4); });

	//when user clicks wipe_add button, create new tab, up to MAX_TABS tabs
	$("#wipe_add_btn").mousedown(function() {
		if ($(this).attr('disabled') != 'disabled') {		//'click' isn't automically disabled for DIVs
			TaskReserve('Wipe');
		}
	});
	//when user clicks clone_cancel button, show confirmation
	$("#wipe_delete_btn").mousedown(function() {
		if ($(this).attr('disabled') != 'disabled') {		//'click' isn't automically disabled for DIVs
			var t = current_task()-5;
			var info = "<?= t("DELETE_WIPE_N_ARE_YOU_SURE", array("1")); ?>";
			if (t == 2) info = "<?= t("DELETE_WIPE_N_ARE_YOU_SURE", array("2")); ?>";
			else if (t == 3) info = "<?= t("DELETE_WIPE_N_ARE_YOU_SURE", array("3")); ?>";
			else if (t == 4) info = "<?= t("DELETE_WIPE_N_ARE_YOU_SURE", array("4")); ?>";
			else if (t == 5) info = "<?= t("DELETE_WIPE_N_ARE_YOU_SURE", array("5")); ?>";

			$('#wipe_delete_dialog').html(info);
			$('#wipe_delete_dialog').dialog('open');
		}
	});
	//set up clone_cancel confirmation dialog
	$("#wipe_delete_dialog").dialog({
		dialogClass: 'ui-conf-dialog',
		bgiframe: true,
		autoOpen: false,
		modal: true,
		buttons: {
			'YES': function() {
				$(this).dialog('close');
				TaskRelease(tab_tasks[OP_WIPE][current_tab[OP_WIPE]]);
			}
		}
	});

	//------------------------------------------------------------
	// WIPE TARGET
	//------------------------------------------------------------
	//when user clicks wipe_target button, open modal dialog with Target Drive options
	$("#wipe_target_btn").mousedown(function() {
		if ($(this).attr('disabled') != 'disabled') {		//'click' isn't automically disabled for DIVs
			$('#clone_target_dialog').dialog({ title: "<?= t("SELECT_TARGETS"); ?>"}).dialog('open');
		}
	});



	//------------------------------------------------------------
	// WIPE SETTINGS
	//------------------------------------------------------------
	//when user clicks wipe_settings button, open modal dialog with Settings options
	$("#wipe_settings_btn").mousedown(function() {
		if ($(this).attr('disabled') != 'disabled') {		//'click' isn't automically disabled for DIVs
			$('#wipe_settings_dialog').dialog('open');
		}
	});

	//set up wipe_settings_dialog
	$("#wipe_settings_dialog").dialog({
		bgiframe: true,
		autoOpen: false,
		position: [17,11],
		modal: true,
		resizable: false,
		draggable: false,
		buttons: {
			'OK': function() {
				var t = current_task();

				//Secure Erase
				$("#wipe_erase_select .select-opt", this).each(function(i) {
					if ($(this).hasClass("ui-selected")) task_config[t]["WipeSecure"] = (i == 0 ? true : false);	//0 button = Yes, 1 button = No
				});

				updateButtons("wipe_settings");
				$(this).dialog('close');

				TaskSetConfiguration({"Task": t, "WipeSecure": task_config[t]["WipeSecure"]});
			}
		},
		close: function(event, ui) {
			if ($(this).data('opening_another_dialog') !== true) {   //if not closing because opening another dialog
                updateModals("wipe_settings");
            }
		}
	});

	//unhighlight current selection, highlight new selection, only one selection allowed
	$("#wipe_erase_select .select-opt").mousedown(function() {
		$("#wipe_erase_select .select-opt").each(function() {
			if ($(this).hasClass("ui-selected")) $(this).toggleClass("ui-selected");
		});
		$(this).toggleClass("ui-selected");
	});


	//when user clicks wipe_dod button, open modal dialog with DOD options
	$("#wipe_mode_btn").mousedown(function() {
		$('#wipe_settings_dialog').data('opening_another_dialog', true).dialog('close');
		$('#wipe_mode_dialog').dialog('open');
	});

	//set up wipe_mode_dialog
	$("#wipe_mode_dialog").dialog({
		dialogClass: 'ui-sm-dialog',
		bgiframe: true,
		autoOpen: false,
		modal: true,
		resizable: false,
		draggable: false,
		buttons: {
			'OK': function() {
				var t = current_task();
				$("#wipe_mode_select .select-opt", this).each(function(i) {
					if ($(this).hasClass("ui-selected")) {
						task_config[t]["WipeMethod"] = i;
					}
				});

				disableGUI();
				$(this).dialog('close');
				TaskSetConfiguration({"Task": t, "WipeMethod": APIWIPEMETHODS[task_config[t]["WipeMethod"]]});
				TaskGetConfiguration(t);	//do this here so the Passes button is updated with the new data based on WipeMethod
											//update Mode and Passes buttons and enableGUI on callback
				$('#wipe_settings_dialog').dialog('open');
			}
		}
	});

	//unhighlight current selection, highlight new selection, only one selection allowed
	$("#wipe_mode_select .select-opt").mousedown(function() {
		$("#wipe_mode_select .select-opt").each(function() {
			if ($(this).hasClass("ui-selected")) $(this).toggleClass("ui-selected");
		});
		$(this).toggleClass("ui-selected");
	});

	//when user clicks wipe_hpa button, open modal dialog with HPA/DCO options
	$("#wipe_hpa_btn").mousedown(function() {
		$('#wipe_settings_dialog').data('opening_another_dialog', true).dialog('close');
		$('#wipe_hpa_dialog').dialog('open');
	});

	//set up wipe_hpa_dialog
	$("#wipe_hpa_dialog").dialog({
		dialogClass: 'ui-sm-dialog',
		bgiframe: true,
		autoOpen: false,
		modal: true,
		resizable: false,
		draggable: false,
		buttons: {
			'OK': function() {
				var t = current_task();
				$("#wipe_hpa_select .select-opt", this).each(function(i) {
					if ($(this).hasClass("ui-selected")) task_config[t]["UnlockHPA"] = (i == 0 ? true : false);	//0 button = Yes, 1 button = No
				});
				$("#wipe_dco_select .select-opt", this).each(function(i) {
					if ($(this).hasClass("ui-selected")) task_config[t]["UnlockDCO"] = (i == 0 ? true : false);
				});

				updateWipeHPAButton();
				$(this).dialog('close');
				$('#wipe_settings_dialog').dialog('open');
				TaskSetConfiguration({"Task": t, "UnlockHPA": task_config[t]["UnlockHPA"], "UnlockDCO": task_config[t]["UnlockDCO"]});
			}
		}
	});

	//unhighlight current selection, highlight new selection, only one selection allowed
	$("#wipe_hpa_select .select-opt").mousedown(function() {
		$("#wipe_hpa_select .select-opt").each(function() {
			if ($(this).hasClass("ui-selected")) $(this).toggleClass("ui-selected");
		});
		$(this).toggleClass("ui-selected");
	});

	//unhighlight current selection, highlight new selection, only one selection allowed
	$("#wipe_dco_select .select-opt").mousedown(function() {
		$("#wipe_dco_select .select-opt").each(function() {
			if ($(this).hasClass("ui-selected")) $(this).toggleClass("ui-selected");
		});
		$(this).toggleClass("ui-selected");
	});

	//when user clicks wipe_lba_btn, open modal dialog with HPA/DCO options
	$("#wipe_lba_btn").mousedown(function() {
		if ($(this).attr('disabled') != 'disabled') {		//'click' isn't automically disabled for DIVs
            $('#wipe_settings_dialog').data('opening_another_dialog', true).dialog('close');
			$('#wipe_lba_dialog').dialog('open');
		}
	});

	//set up wipe_lba_dialog
	$("#wipe_lba_dialog").dialog({
		dialogClass: 'ui-sm-dialog',
		bgiframe: true,
		autoOpen: false,
		modal: true,
		resizable: false,
		draggable: false,
		buttons: {
			'OK': function() {
				var t = current_task();

				//LBA Range
				task_config[t]["LBACount"] = $("#wipe_lba_range_slider").slider("value");

				updateWipeLBAButton();
				$(this).dialog('close');
				$('#wipe_settings_dialog').dialog('open');
				TaskSetConfiguration({"Task": t, "LBACount": task_config[t]["LBACount"].toString(), "TargetStartLBA": "0"});
			}
		}
	});

	//when user clicks wipe_hpa button, open modal dialog with Wipe Passes options
	$("#wipe_passes_btn").mousedown(function() {
		if ($(this).attr('disabled') != 'disabled') {		//'click' isn't automically disabled for DIVs
			var t = current_task();
			var wipe_passes_title = "Custom";
			if (task_config[t]["WipeMethod"] == WIPEMETHOD_DOD) wipe_passes_title = "DoD";
			$("#wipe_passes_dialog").dialog({ title: wipe_passes_title });
            $('#wipe_settings_dialog').data('opening_another_dialog', true).dialog('close');
			$("#wipe_passes_dialog").dialog('open');
		}
	});

	//set up wipe_passes_dialog
	$("#wipe_passes_dialog").dialog({
		bgiframe: true,
		autoOpen: false,
		position: [17,11],
		modal: true,
		resizable: false,
		draggable: false,
		buttons: {
			'OK': function() {
				var t = current_task();
				$("#wipe_passes_select .select-opt", this).each(function(i) {
					//if ($(this).hasClass("ui-selected")) task_config[t]["WipeValues"] = drives[i]["Bay"];
				});

				updateWipePassesButton();
				$(this).dialog('close');
				$('#wipe_settings_dialog').dialog('open');
			}
		},
		close: function(event, ui) {
			updateModals("wipe_passes");
		}
	});

	//more info buttons
    $("#wipe_passes_select").unbind("mousedown");
	$("#wipe_passes_select").on("mousedown", ".edit-pass", function(i) {
		var i = $("#wipe_passes_select .edit-pass").index(this);
		updateWipePassValue(i);
		$('#wipe_passes_dialog').dialog('close');
		$('#wipe_pass_edit_dialog').data('cur_pass', i).dialog('open');
	});

	function updateWipePassValue(i) {
		var t = current_task();
		var wipe_val = (task_config[t]["WipeValues"].length > i ? task_config[t]["WipeValues"][i] : "Skip");
		if (wipe_val == "Skip") {
			$("#wipe_pass_value_0").mousedown();
			setSlider("wipe_pass_value", 0);		//if user switches from Skip to Value, we want 00 to be in the slider
			setSlider("wipe_pass_value", "Skip");
		}
		else if (wipe_val == 256) {
			$("#wipe_pass_value_1").mousedown();
			setSlider("wipe_pass_value", 0);		//if user switches from Random to Value, we want 00 to be in the slider
			setSlider("wipe_pass_value", "Random");
		}
		else {
			$("#wipe_pass_value_2").mousedown();
			setSlider("wipe_pass_value", wipe_val);	//(if user switches from Value to Skip/Random, value will be saved in the slider while the dialog is open)
		}
	}

	$("#wipe_pass_edit_dialog").dialog({
		dialogClass: 'ui-sm-dialog ui-sm-dialog-notitlebar',
		bgiframe: true,
		autoOpen: false,
		modal: true,
		resizable: false,
		draggable: false,
		buttons: {
			'OK': function() {
				$("#wipe_pass_value_select .select-opt", this).each(function(i) {
					if ($(this).hasClass("ui-selected")) wipepass = i;
				});

				var t = current_task();
				var cur_pass = $(this).data('cur_pass');

				if (wipepass == WIPEPASS_SKIP) task_config[t]["WipeValues"].splice(cur_pass, 1);
				else if (wipepass == WIPEPASS_RANDOM) task_config[t]["WipeValues"][cur_pass] = 256;
				else task_config[t]["WipeValues"][cur_pass] = $("#wipe_pass_value_slider").slider("value");

				updateModals("wipe_passes");

				$(this).dialog('close');
				$('#wipe_passes_dialog').dialog('open');
				TaskSetConfiguration({"Task": t, "WipeValues": task_config[t]["WipeValues"]});
			}
		}
	});

	//unhighlight current selection, highlight new selection, only one selection allowed
	$("#wipe_pass_value_select .select-opt").mousedown(function() {
		$("#wipe_pass_value_select .select-opt").each(function() {
			if ($(this).hasClass("ui-selected")) $(this).toggleClass("ui-selected");
		});
		$(this).toggleClass("ui-selected");

		var index = $("#wipe_pass_value_select .select-opt").index(this);
		if (index == WIPEPASS_SKIP) setSlider("wipe_pass_value", "Skip");
		else if (index == WIPEPASS_RANDOM) setSlider("wipe_pass_value", "Random");
		else setSlider("wipe_pass_value", "Value");
	});

	//when user clicks Blocks column, open LBA blocks set dialog
	$(".wipe_lba_range_row .col2").mousedown(function() {
		if ($("#wipe_lba_range_percent").attr('disabled') != 'disabled') {		//'click' isn't automically disabled for DIVs
			var slidername = $(this).attr("id").replace("_lbas", "");
			var slidertitle = "LBA Range";
			var sliderval = $(this).text();

			$("#blocks_slidername").html(slidername);
			$("#blocks_set_title").html(slidertitle + " Blocks");
			$("#blocks_val").val(sliderval);
			$("#blocks_set_dialog").dialog('open');
		}
	});

	//when user clicks wipe_format_btn, open modal dialog with Format options
	$("#wipe_format_btn").mousedown(function() {
		$('#wipe_settings_dialog').dialog('close');
		$('#wipe_format_dialog').dialog('open');
	});

	//set up wipe_format_dialog
	$("#wipe_format_dialog").dialog({
		bgiframe: true,
		autoOpen: false,
		position: [17,11],
		modal: true,
		resizable: false,
		draggable: false,
		buttons: {
			'OK': function() {
				var t = current_task();

				$("#wipe_format_select .select-opt", this).each(function(i) {
					if ($(this).hasClass("ui-selected")) task_config[t]["WipeFormat"] = (i == 0 ? true : false);	//0 button = Yes, 1 button = No
				});
				$("#wipe_format_file_system_select .select-opt", this).each(function(i) {
					if ($(this).hasClass("ui-selected")) task_config[t]["WipeFilesystem"] = i;
				});
				$("#wipe_format_encryption_select .select-opt", this).each(function(i) {
					if ($(this).hasClass("ui-selected")) task_config[t]["EncryptEnable"] = (i == 0 ? true : false);	//0 button = Yes, 1 button = No
				});

				updateWipeFormatButton();
				$(this).dialog('close');
				$('#wipe_settings_dialog').dialog('open');
				TaskSetConfiguration({"Task": t, "WipeFormat": task_config[t]["WipeFormat"], "WipeFilesystem": APIFILESYSTEMS[task_config[t]["WipeFilesystem"]], "EncryptEnable": task_config[t]["EncryptEnable"]});
			}
		},
		close: function(event, ui) {
			updateModals("wipe_format");
			$('#wipe_settings_dialog').dialog('open');
		}
	});

	//unhighlight current selection, highlight new selection, only one selection allowed
	$("#wipe_format_select .select-opt").mousedown(function() {
		$("#wipe_format_select .select-opt").each(function() {
			if ($(this).hasClass("ui-selected")) $(this).toggleClass("ui-selected");
		});
		$(this).toggleClass("ui-selected");
	});

	//unhighlight current selection, highlight new selection, only one selection allowed
	$("#wipe_format_file_system_select .select-opt").mousedown(function() {
		$("#wipe_format_file_system_select .select-opt").each(function() {
			if ($(this).hasClass("ui-selected")) $(this).toggleClass("ui-selected");
		});
		$(this).toggleClass("ui-selected");
	});

	//unhighlight current selection, highlight new selection, only one selection allowed
	$("#wipe_format_encryption_select .select-opt").mousedown(function() {
		$("#wipe_format_encryption_select .select-opt").each(function() {
			if ($(this).hasClass("ui-selected")) $(this).toggleClass("ui-selected");
		});
		$(this).toggleClass("ui-selected");
	});


	//------------------------------------------------------------
	// CASE INFO
	//------------------------------------------------------------
	//Case Info
	$("#wipe_case_info_btn").mousedown(function() {
		if ($(this).attr('disabled') != 'disabled') {
			$('#clone_case_info_dialog').dialog('open');
		}
	});


	//pause/unpause config calls on config dialog open/close
	$("#wipe_pass_edit_dialog").bind("dialogopen", function() {
		pauseConfigCalls();
	});
	$("#wipe_pass_edit_dialog").bind("dialogclose", function() {
		unpauseConfigCalls();
	});
	$("#wipe_passes_dialog").bind("dialogopen", function() {
		pauseConfigCalls();
	});
	$("#wipe_passes_dialog").bind("dialogclose", function() {
		unpauseConfigCalls();
	});
	$("#wipe_settings_dialog").bind("dialogopen", function() {
		$(this).data('opening_another_dialog', false);
		pauseConfigCalls();
	});
	$("#wipe_settings_dialog").bind("dialogclose", function() {
		unpauseConfigCalls();
	});
	$("#wipe_format_dialog").bind("dialogopen", function() {
		pauseConfigCalls();
	});
	$("#wipe_format_dialog").bind("dialogclose", function() {
		unpauseConfigCalls();
	});
	$("#wipe_mode_dialog").bind("dialogopen", function() {
		pauseConfigCalls();
	});
	$("#wipe_mode_dialog").bind("dialogclose", function() {
		unpauseConfigCalls();
	});
	$("#wipe_hpa_dialog").bind("dialogopen", function() {
		pauseConfigCalls();
	});
	$("#wipe_hpa_dialog").bind("dialogclose", function() {
		unpauseConfigCalls();
	});
	$("#wipe_lba_dialog").bind("dialogopen", function() {
		pauseConfigCalls();
	});
	$("#wipe_lba_dialog").bind("dialogclose", function() {
		unpauseConfigCalls();
	});
	$("#wipe_format_dialog").bind("dialogopen", function() {
		pauseConfigCalls();
	});
	$("#wipe_format_dialog").bind("dialogclose", function() {
		unpauseConfigCalls();
	});

}
