/* styles for the Hash screen */

/* Tab bar */
#hash_add_btn { 
	float: right; width: 120px; height: 63px; padding-top: 5px; text-align: center; color: #a2e2eb;
	font-size: 23px; line-height: 30px; 
}
#hash_delete_btn { 
	float: right; width: 115px; height: 50px; padding-top: 18px; text-align: center; color: #d7a93f;
	font-size: 23px;
}

/* Hash buttons */
#hash_settings_btn { float: left; width: 215px; margin: 0px 22px; }
#hash_settings_btn_bottom { background: url('<?php print theme_image('btn_settings_bottom.png'); ?>') bottom no-repeat; }
#hash_target_btn { float: left; width: 215px; margin: 0px 22px; }
#hash_target_btn_bottom { background: url('<?php print theme_image('btn_target_bottom.png'); ?>') bottom no-repeat; }
#hash_target_btn_bottom .target_bay { display: inline-block; margin: 0px 10px; text-align: center; }
#hash_case_info_btn { float: left; width: 215px; margin: 0px 22px; }
#hash_case_info_btn_bottom { background: url('<?php print theme_image('btn_master_bottom.png'); ?>') bottom no-repeat; }
#hash_start_btn { position: absolute; top: 455px; left: 925px; display: block; background: url('<?php print theme_image('btn_start.gif'); ?>'); width: 160px; height: 50px; }

/* Hash Settings dialog */
#hash_values_btn { float: left; width: 215px; margin: 100px 55px 0px 330px;  }
#hash_lba_btn { float: left; width: 215px; margin-top: 100px; }

/* Hash Values dialog */
#hash_method { float: left; width: 1172px; height: 100px; padding: 20px 0px; border-bottom: 2px solid #fff; }
#hash_method_title { float: left; width: 200px; margin-left: 50px; margin-right: 90px; margin-top: 20px; color: #fff; font-size: 27px; font-weight: bold; }
#hash_method_select { }
#hash_method_select DIV { float: left; margin-right: 68px; margin-bottom: 125px; }
#hash_method_2 { margin-right: 0px; }

#hash_values { float: left; width: 1172px; height: 100px; padding: 45px 0px; }
#hash_values_title { float: left; width: 200px; margin-left: 50px; margin-right: 85px; margin-top: 20px; color: #fff; font-size: 27px; font-weight: bold; }

#hash_values_table { position: relative; left: -7px; border-spacing: 10px 0px; }
#hash_values_table td { font-size: 23px; font-weight: bold; letter-spacing: 2px; color: #000; text-transform: uppercase; text-align: center; }
.hash_values_table_hdr_row { }
.hash_values_table_hdr_row td.col1 { background: #d2edf6; width: 550px; height: 45px; border-top-left-radius: 10px; border-top-right-radius: 10px; -moz-border-radius-topleft: 10px; -moz-border-radius-topright: 10px; }
.hash_values_table_hdr_row td.col2 { background: #d2edf6; width: 175px; height: 45px; border-top-left-radius: 10px; border-top-right-radius: 10px; -moz-border-radius-topleft: 10px; -moz-border-radius-topright: 10px; }
.hash_values_table_row { }
.hash_values_table_row td.col1 { background: #73a5a5; width: 550px; height: 78px; }
.hash_values_table_row td.col2 { background: #73a5a5; width: 175px; height: 78px; }
.hash_values_table_row td.col2 img { position: relative; top: 3px; }
.hash_values_table_ftr_row td.col1 { background: #9acccd; width: 550px; height: 22px; border-bottom-left-radius: 10px; border-bottom-right-radius: 10px; -moz-border-radius-bottomleft: 10px; -moz-border-radius-bottomright: 10px; }
.hash_values_table_ftr_row td.col2 { background: #9acccd; width: 175px; height: 22px; border-bottom-left-radius: 10px; border-bottom-right-radius: 10px; -moz-border-radius-bottomleft: 10px; -moz-border-radius-bottomright: 10px; }

/* Hash Enter Values dialog */
#hash_enter_values_shadow_top { position: absolute; top: 90px; left: 36px; width: 1172px; height: 15px; background: url('<?php print theme_image('modal_dropshadow_top_1172.png'); ?>'); z-index: 10; }
#hash_enter_values_shadow_right { position: absolute; top: 105px; left: 1193px; width: 15px; height: 474px; background: url('<?php print theme_image('modal_dropshadow_right_474.png'); ?>'); z-index: 10; }
#hash_enter_values_shadow_bottom { position: absolute; top: 579px; left: 36px; width: 1172px; height: 15px; background: url('<?php print theme_image('modal_dropshadow_bottom_1172.png'); ?>'); z-index: 10; }
#hash_enter_values_shadow_left { position: absolute; top: 105px; left: 36px; width: 15px; height: 474px; background: url('<?php print theme_image('modal_dropshadow_left_474.png'); ?>'); z-index: 10; }
#hash_enter_values_block { background: #d2edf6; width: 1158px; height: 488px; border-top-left-radius: 10px; border-top-right-radius: 10px; border-bottom-left-radius: 10px; border-bottom-right-radius: 10px; -moz-border-radius-topleft: 10px; -moz-border-radius-topright: 10px; -moz-border-radius-bottomleft: 10px; -moz-border-radius-bottomright: 10px; font-size: 19px !important; position: relative; top: 4px; left: 7px; }

#hash_value_boxes { float: left; width: 1140px; margin: 15px 11px 0px; }
#hash_value_boxes div { float: left; width: 67px; height: 74px; margin: 5px 2px;
	box-sizing: border-box; -moz-box-sizing: border-box; -webkit-box-sizing: border-box; }
#hash_value_boxes div.focus { border-bottom: 4px solid #25666f; }
#hash_value_boxes input { width: 53px; height: 50px; padding: 6px 3px 3px; background: #fff; font-weight: bold; letter-spacing: 2px; color: #000; text-transform: uppercase; text-align: center; outline: none; border: 4px solid #25666f; }

#hash_value_arrows { float: left; width: 250px; margin: 7px 454px 0px; }
#hash_value_left_btn { float: left; background: #EAEAEA url('<?php print theme_image('slider-arrow-left.gif'); ?>') top center no-repeat !important; width: 100px; height: 100px; margin-right: 50px; }
#hash_value_right_btn { float: left; background: #EAEAEA url('<?php print theme_image('slider-arrow-right.gif'); ?>') top center no-repeat !important; width: 100px; height: 100px; }

#hash_value_keys { float: left; margin: 15px 69px; }
#hash_value_keys div { float: left; background: url('<?php print theme_image('btn_hex.gif'); ?>') no-repeat 50% 50%; width: 70px; height: 50px; padding: 30px 10px 10px; margin: 0px 6px; font-size: 31px; font-weight: bold; letter-spacing: 2px; color: #000; text-transform: uppercase; text-align: center; }
#hash_value_keys div#hk10 { margin-left: 220px; }

/* Hash LBA dialog */
#hash_lba_shadow_top { position: absolute; top: 88px; left: 36px; width: 961px; height: 15px; background: url('<?php print theme_image('modal_dropshadow_top_961.png'); ?>'); z-index: 10; }
#hash_lba_shadow_right { position: absolute; top: 103px; left: 982px; width: 15px; height: 309px; background: url('<?php print theme_image('modal_dropshadow_right_309.png'); ?>'); z-index: 10; }
#hash_lba_shadow_bottom { position: absolute; top: 412px; left: 36px; width: 961px; height: 15px; background: url('<?php print theme_image('modal_dropshadow_bottom_961.png'); ?>'); z-index: 10; }
#hash_lba_shadow_left { position: absolute; top: 103px; left: 36px; width: 15px; height: 309px; background: url('<?php print theme_image('modal_dropshadow_left_309.png'); ?>'); z-index: 10; }

#hash_lba_settings { position: absolute; top: 96px; left: 44px; font-size: 23px; font-weight: bold; letter-spacing: 2px; color: #000; text-transform: uppercase; text-align: center; }
.hash_lba_settings_hdr_row .col1 { float: left; background: #d2edf6; width: 215px; height: 39px; padding-top: 13px; margin-right: 10px; border-top-left-radius: 10px; border-top-right-radius: 10px; -moz-border-radius-topleft: 10px; -moz-border-radius-topright: 10px; }
.hash_lba_settings_hdr_row .col2 { float: left; background: #d2edf6; width: 550px; height: 39px; padding-top: 13px; margin-right: 10px; border-top-left-radius: 10px; border-top-right-radius: 10px; -moz-border-radius-topleft: 10px; -moz-border-radius-topright: 10px; }
.hash_lba_settings_hdr_row .col3 { float: left; background: #d2edf6; width: 160px; height: 39px; padding-top: 13px; border-top-left-radius: 10px; border-top-right-radius: 10px; -moz-border-radius-topleft: 10px; -moz-border-radius-topright: 10px; }
.hash_lba_settings_row { float: left; }
.hash_lba_settings_row .col1 { float: left; background: #73a5a5; width: 215px; height: 67px; padding-top: 40px; margin-right: 10px; }
.hash_lba_settings_row .col2 { float: left; background: #96ccce; width: 550px; height: 103px; padding-top: 4px; margin-right: 10px; }
.hash_lba_settings_row .col3 { float: left; background: #73a5a5 url('<?php print theme_image('btn_edit.png'); ?>') no-repeat 62px 62px; width: 160px; height: 63px; padding-top: 34px; padding-bottom: 10px; font-size: 17px; }
.hash_lba_settings_spacer_row .col1 { float: left; background: #9ccecf; width: 215px; height: 5px; margin-right: 10px; }
.hash_lba_settings_spacer_row .col2 { float: left; background: #74a6a7; width: 550px; height: 5px; margin-right: 10px; }
.hash_lba_settings_spacer_row .col3 { float: left; background: #9ccecf; width: 160px; height: 5px; }
.hash_lba_settings_spacer2_row .col1 { float: left; background: #74a6a7; width: 215px; height: 5px; margin-right: 10px; }
.hash_lba_settings_spacer2_row .col2 { float: left; background: #74a6a7; width: 550px; height: 5px; margin-right: 10px; }
.hash_lba_settings_spacer2_row .col3 { float: left; background: #74a6a7; width: 160px; height: 5px; }
.hash_lba_settings_ftr_row .col1 { float: left; background: #9acccd; width: 215px; height: 41px; margin-right: 10px; border-bottom-left-radius: 10px; border-bottom-right-radius: 10px; -moz-border-radius-bottomleft: 10px; -moz-border-radius-bottomright: 10px; }
.hash_lba_settings_ftr_row .col2 { float: left; background: #9acccd; width: 550px; height: 41px; margin-right: 10px; border-bottom-left-radius: 10px; border-bottom-right-radius: 10px; -moz-border-radius-bottomleft: 10px; -moz-border-radius-bottomright: 10px; }
.hash_lba_settings_ftr_row .col3 { float: left; background: #9acccd; width: 160px; height: 41px; border-bottom-left-radius: 10px; border-bottom-right-radius: 10px; -moz-border-radius-bottomleft: 10px; -moz-border-radius-bottomright: 10px; }

#hash_lba_length_percent, #hash_lba_mstart_percent, #hash_lba_tstart_percent { position: relative; top: 34px; left: -299px; display: block; width: 70px; text-align: center; }

/* Hash Task Info dialog */
#hash_task_details { background: url('<?php print theme_image('modal_dropshadow_details.png'); ?>'); width: 1023px !important; height: 504px !important; }
#hash_task_details_content { width: 968px; padding: 20px; }
#hash_task_details_content td { color: #000; font-size: 29px; letter-spacing: 2px; }


#hash_task_details_content tr.match { background: #679E63; }
#hash_task_details_content td.check { background: url('<?php print theme_image('bg_hash_check.png'); ?>') 18px 12px no-repeat; }
#hash_task_details_content tr.nomatch { background: #e65e50; }
#hash_task_details_content td.ex { background: url('<?php print theme_image('bg_hash_x.png'); ?>') 18px 12px no-repeat; }
