/* Dialog
----------------------------------*/
.ui-dialog { position: absolute; background: url('<?php print theme_image('modal_bg.png'); ?>') no-repeat; width: 1176px !important; height: 652px !important; padding: 25px 35px 10px 35px; 
	top: 7px !important; margin-left: 16px; z-index: 9999; outline: none; }
.ui-conf-dialog { left: 50% !important; margin-left: -28px !important; }

.ui-dialog .ui-dialog-titlebar { position: relative; }
.ui-dialog .ui-dialog-title { float: left; background: url('<?php print theme_image('modal_titlebar.png'); ?>'); width: 971px; height: 32px; padding: 10px 25px; text-transform: uppercase; font-size: 27px; font-weight: bold; letter-spacing: 1px; overflow: hidden; word-break: break-all; } 
.ui-dialog .ui-dialog-titlebar-close { border: none; color: transparent; background: url('<?php print theme_image('modal_cancel.png'); ?>') no-repeat; width: 110px; height: 52px; position: absolute; top: 4px; left: 1068px; }

.ui-dialog .ui-dialog-content { height: 504px !important; width: 1172px !important; margin: 15px 0px; overflow: hidden; }

.ui-dialog .ui-dialog-buttonpane { text-align: center; }
.ui-dialog .ui-dialog-buttonpane button { background: url('<?php print theme_image('modal_btn.png'); ?>') 12px 13px no-repeat; width: 238px; height: 70px; padding: 0px 6px 3px 0px; position: relative; top: -13px; left: -2px; border: none; color: #000; font-size: 25px; font-weight: bold; letter-spacing: 1px; }
.long-btn { background: url('<?php print theme_image('modal_btn_long.png'); ?>') no-repeat !important; width: 310px !important; }
.long-blue-btn { background: url('<?php print theme_image('modal_btn_long_blue.png'); ?>') 12px 13px no-repeat !important; width: 330px !important; }

.ui-dialog .ui-resizable-se { width: 14px; height: 14px; right: 3px; bottom: 3px; }
.ui-draggable .ui-dialog-titlebar { cursor: move; }

/* SYSTEM SETTINGS buttons */
.ui-set-up-abort-button { background: url('<?php print theme_image('modal_btn_red.png'); ?>') 12px 13px no-repeat !important; }
.ui-set-upgrade-abort-button { background: url('<?php print theme_image('modal_btn_red.png'); ?>') 12px 13px no-repeat !important; }
.ui-dialog-button { background: url('<?php print theme_image('modal_btn.png'); ?>') no-repeat; width: 218px; height: 54px; padding: 7px 6px 9px 0px; border: none; color: #000; font-size: 25px; font-weight: bold; letter-spacing: 1px; text-align: center; text-transform: uppercase; }



/* small dialog windows */
.ui-sm-dialog { position: absolute; background: url('<?php print theme_image('modal_conf_bg.png'); ?>'); width: 606px !important; height: 471px !important; padding: 20px 35px 10px 35px; z-index: 9999; }
.ui-sm-dialog { left: 50% !important; margin-left: 296px !important; }

.ui-sm-dialog .ui-dialog-title { float: left; background: url('<?php print theme_image('modal_sm_titlebar.png'); ?>'); width: 552px; height: 32px; padding: 10px 25px; text-transform: uppercase; font-size: 27px; font-weight: bold; letter-spacing: 1px; text-align: center; color: #fff; } 

.ui-sm-dialog .ui-dialog-titlebar-close { display: none; }

.ui-sm-dialog .ui-dialog-content { height: 260px !important; width: 495px !important; margin-top: 75px; margin-left: 50px; overflow: hidden; text-align: center; color: #000; text-transform: uppercase; font-size: 35px; font-weight: bold; letter-spacing: 1px; }

.ui-sm-dialog-notitlebar .ui-dialog-titlebar { visibility: hidden; }
.ui-sm-dialog-with-close .ui-dialog-titlebar-close { display: block; visibility: visible; border: none; background: url('<?php print theme_image('modal_cancel.png'); ?>') no-repeat; width: 110px; height: 52px; position: absolute; top: 0px; left: 500px; }
.ui-sm-dialog-with-close .ui-dialog-content { height: 320px !important; width: 580px !important; margin-top: 15px; margin-left: 10px; overflow: hidden; text-align: center; color: #000; text-transform: uppercase; font-size: 35px; font-weight: bold; letter-spacing: 1px; }



/* confirmation dialog windows */
.ui-conf-dialog { position: relative; background: url('<?php print theme_image('modal_conf_bg.png'); ?>'); width: 606px !important; height: 471px !important; padding: 20px 35px 10px 35px; }

.ui-conf-dialog .ui-dialog-title { display: none; }
.ui-conf-dialog .ui-dialog-titlebar-close { border: none; background: url('<?php print theme_image('modal_conf_no.png'); ?>') no-repeat; width: 110px; height: 52px; position: absolute; top: 0px; left: 500px; }

.ui-conf-dialog .ui-dialog-content { height: 220px !important; width: 595px !important; margin-top: 167px; overflow: hidden; text-align: center; color: #000; text-transform: uppercase; font-size: 35px; font-weight: bold; letter-spacing: 1px; }


/* Slider
----------------------------------*/
.ui-slider { position: relative; text-align: left; margin: 0px 14px 0px 0px; width: 160px; }
.ui-slider .ui-slider-handle { position: absolute; z-index: 2; width: 1.5em; height: 78px; /*width: 1.2em; height: 1.2em;*/ cursor: default; }
.ui-slider .ui-slider-range { position: absolute; z-index: 1; font-size: .7em; display: block; border: 0; }

.ui-slider-horizontal { height: 90px; background: url('<?php print theme_image('slider-bg.gif'); ?>') repeat-x; }
.ui-slider-horizontal .ui-slider { background: none; z-index: 10; }
.ui-slider-horizontal .ui-slider-handle { top: 9px; background: url('<?php print theme_image('slider-handle.png'); ?>'); width: 14px; height: 75px; }
.ui-slider-horizontal .ui-slider-range { top: 0; height: 100%; }
.ui-slider-horizontal .ui-slider-range-min { left: 0; }
.ui-slider-horizontal .ui-slider-range-max { right: 0; }

.ui-slider-vertical { width: .8em; height: 100px; }
.ui-slider-vertical .ui-slider-handle { left: -.3em; margin-left: 0; margin-bottom: -.6em; }
.ui-slider-vertical .ui-slider-range { left: 0; width: 100%; }
.ui-slider-vertical .ui-slider-range-min { bottom: 0; }
.ui-slider-vertical .ui-slider-range-max { top: 0; }

.ui-slider-down { width: 90px; height: 90px; background: #eaeaea url('<?php print theme_image('slider-arrow-left.gif'); ?>') top center no-repeat; border: none; }
/*.ui-slider-down.ui-state-active { background: url('<?php print theme_image('arrow_down_active.gif'); ?>') top center no-repeat !important; }*/
.ui-slider-up { width: 90px; height: 90px; background: #eaeaea url('<?php print theme_image('slider-arrow-right.gif'); ?>') top center no-repeat; border: none; }
/*.ui-slider-up.ui-state-active { background: url('<?php print theme_image('arrow_up_active.gif'); ?>') top center no-repeat; }*/
.ui-slider-min { width: 90px; height: 90px; background: #eaeaea url('<?php print theme_image('slider-arrow-min.gif'); ?>') top center no-repeat; border: none; }
.ui-slider-max { width: 90px; height: 90px; background: #eaeaea url('<?php print theme_image('slider-arrow-max.gif'); ?>') top center no-repeat; border: none; }

.ui-slider-amount { color: #000; font-size: 24px; font-weight: bold; letter-spacing: 2px; color: #000; text-transform: uppercase; }


/* Tabs
----------------------------------*/
.ui-tabs { padding: .2em; zoom: 1; }
.ui-tabs .ui-tabs-nav { list-style: none; position: relative; padding: .2em .2em 0; }
.ui-tabs .ui-tabs-nav li { position: relative; float: left; border-bottom-width: 0 !important; margin: 0 .2em -1px 0; padding: 0; }
.ui-tabs .ui-tabs-nav li a { float: left; text-decoration: none; padding: .5em 1em; }
.ui-tabs .ui-tabs-nav li.ui-tabs-selected { padding-bottom: 1px; border-bottom-width: 0; }
.ui-tabs .ui-tabs-nav li.ui-tabs-selected a, .ui-tabs .ui-tabs-nav li.ui-state-disabled a, .ui-tabs .ui-tabs-nav li.ui-state-processing a { cursor: text; }
.ui-tabs .ui-tabs-nav li a, .ui-tabs.ui-tabs-collapsible .ui-tabs-nav li.ui-tabs-selected a { cursor: pointer; } /* first selector in group seems obsolete, but required to overcome bug in Opera applying cursor: text overall if defined elsewhere... */
.ui-tabs .ui-tabs-panel { padding: 1em 1.4em; display: block; border-width: 0; background: none; }
.ui-tabs .ui-tabs-hide { display: none !important; }


/* Theme
----------------------------------*/
.ui-state-disabled, .ui-widget-content .ui-state-disabled { opacity: .60; filter:Alpha(Opacity=60); }





/* Progressbar
----------------------------------*/
.ui-progressbar { height:2em; text-align: left; }
.ui-progressbar .ui-progressbar-value { height:100%; }

/* Resizable
----------------------------------*/
.ui-resizable { position: relative;}
.ui-resizable-handle { position: absolute;font-size: 0.1px;z-index: 99999; display: block;}
.ui-resizable-disabled .ui-resizable-handle, .ui-resizable-autohide .ui-resizable-handle { display: none; }
.ui-resizable-n { cursor: n-resize; height: 7px; width: 100%; top: -5px; left: 0px; }
.ui-resizable-s { cursor: s-resize; height: 7px; width: 100%; bottom: -5px; left: 0px; }
.ui-resizable-e { cursor: e-resize; width: 7px; right: -5px; top: 0px; height: 100%; }
.ui-resizable-w { cursor: w-resize; width: 7px; left: -5px; top: 0px; height: 100%; }
.ui-resizable-se { cursor: se-resize; width: 12px; height: 12px; right: 1px; bottom: 1px; }
.ui-resizable-sw { cursor: sw-resize; width: 9px; height: 9px; left: -5px; bottom: -5px; }
.ui-resizable-nw { cursor: nw-resize; width: 9px; height: 9px; left: -5px; top: -5px; }
.ui-resizable-ne { cursor: ne-resize; width: 9px; height: 9px; right: -5px; top: -5px;}


/* Core
----------------------------------*/

/* Layout helpers
----------------------------------*/
.ui-helper-hidden { display: none; }
.ui-helper-hidden-accessible { position: absolute; left: -99999999px; }
.ui-helper-reset { margin: 0; padding: 0; border: 0; outline: 0; line-height: 1.3; text-decoration: none; font-size: 100%; list-style: none; }
.ui-helper-clearfix:after { content: "."; display: block; height: 0; clear: both; visibility: hidden; }
.ui-helper-clearfix { display: inline-block; }
/* required comment for clearfix to work in Opera \*/
* html .ui-helper-clearfix { height:1%; }
.ui-helper-clearfix { display:block; }
/* end clearfix */
.ui-helper-zfix { width: 100%; height: 100%; top: 0; left: 0; position: absolute; opacity: 0; filter:Alpha(Opacity=0); }


/* Interaction Cues
----------------------------------*/
.ui-state-disabled { cursor: default !important; }


/* Icons
----------------------------------*/

/* states and images */
.ui-icon { display: block; text-indent: -99999px; overflow: hidden; background-repeat: no-repeat; }


/* Misc visuals
----------------------------------*/

/* Overlays */
.ui-widget-overlay { position: absolute; top: 0; left: 0; width: 100%; height: 100%; }




