/* vim: set filetype=javascript: */
function loadIPSettingsJS() {

    //------------------------------------------------------------
	// SET UP TABS
	//------------------------------------------------------------
	//set up tabs
	$("#ip_settings_tab_0").mousedown(function() { selectNonTaskTab(0); });


	/* IP Settings */
	$("#ip_settings_server_block").mousedown(function() {
		if ($(this).attr('disabled') != 'disabled') {		//'click' isn't automically disabled for DIVs
			//populate server/port boxes w/ current info
			var serverinfo = ip_settings_config['Server'];
			var port = serverinfo.match(/:[0-9]+$/);		//see if there's a port
			if (port != null) {
				var server = serverinfo.substr(0, serverinfo.lastIndexOf(":"));
				var port = serverinfo.substr(serverinfo.lastIndexOf(":")+1);
			}
			else {
				var server = serverinfo;
				var port = "";
			}
			$("#ip_settings_server_val").val(server);
			$("#ip_settings_port_val").val(port);
			
			$('#ip_settings_server_keyboard_dialog').dialog('open');
		}
	});
	//set up ip_settings_server_keyboard_dialog
	$("#ip_settings_server_keyboard_dialog").dialog({
		bgiframe: true,
		autoOpen: false,
		position: [17,11],
		modal: true,
		resizable: false,
		draggable: false,
		buttons: {
			'OK': function() {
				var server = $("#ip_settings_server_val").val();
				var port = $.trim($("#ip_settings_port_val").val());
				if (port != "") server += ":" + port;
				$("#ip_settings_server_block_content").html(server);
				ip_settings_config['Server'] = server;
				$(this).dialog('close');
				DbHttpProxyConfig(6);	//update IP Settings				
			}
		},
		close: function(event, ui) {
			resetKeyboard("ip_settings_server");
		}
	});

	$("#ip_settings_user_block").mousedown(function() {
		if ($(this).attr('disabled') != 'disabled') {		//'click' isn't automically disabled for DIVs
			checkPassVals();
			$("#ip_settings_username_val").val(ip_settings_config['Username']);
			$("#ip_settings_password_val").val(ip_settings_config['Password']);
			$("#ip_settings_repassword_val").val(ip_settings_config['Password']);
			$('#ip_settings_user_keyboard_dialog').dialog('open');
		}
	});
	//set up ip_settings_user_keyboard_dialog
	$("#ip_settings_user_keyboard_dialog").dialog({
		bgiframe: true,
		autoOpen: false,
		position: [17,11],
		modal: true,
		resizable: false,
		draggable: false,
		buttons: {
			'OK': function() {
				var user = $("#ip_settings_username_val").val();
				var pass = $("#ip_settings_password_val").val();
				ip_settings_config['Username'] = user;
				ip_settings_config['Password'] = pass;
				var userinfo = "<?= t("USERNAME"); ?>: " + ip_settings_config['Username'] + "<br/>"
					+ "<?= t("PASSWORD"); ?>: " + Array(ip_settings_config['Password'].length+1).join("*");	//change to *s
				$("#ip_settings_user_block_content").html(userinfo);

				$(this).dialog('close');
				DbHttpProxyConfig(6);	//update IP Settings				
			}
		},
		close: function(event, ui) {
			resetKeyboard("ip_settings_user");
		}
	});
	
	$("#ip_settings_password_val, #ip_settings_repassword_val").keyup(function() {
		checkPassVals();
	});
	
	
	//show error text, enabled/disable OK button
	function checkPassVals() {
		if ($("#ip_settings_password_val").val() != $("#ip_settings_repassword_val").val()) {
			$("#ip_settings_user_error").html("<?= t("PASSWORDS_MUST_MATCH"); ?>");
			$("#ip_settings_user_keyboard_dialog").next(".ui-dialog-buttonpane").find("button").attr('disabled', 'disabled');	//disableObj function only handles ids
			$("#ip_settings_user_keyboard_dialog").next(".ui-dialog-buttonpane").find("button").addClass('ui-state-disabled');
			return false;
		}

		$("#ip_settings_user_error").html("");
		$("#ip_settings_user_keyboard_dialog").next(".ui-dialog-buttonpane").find("button").removeAttr('disabled');	//disableObj function only handles ids
		$("#ip_settings_user_keyboard_dialog").next(".ui-dialog-buttonpane").find("button").removeClass('ui-state-disabled');
		return true;
	}


}