/* vim: set filetype=javascript: */
function loadRestartJS() {
    //------------------------------------------------------------
	// SET UP TABS
	//------------------------------------------------------------
	//set up tabs
	$("#restart_tab_0").mousedown(function() { selectNonTaskTab(0); });
	$("#restart_tab_1").mousedown(function() { selectNonTaskTab(1); });


	/* Restart / Power Off */
	$("#restart_restart").mousedown(function() {
		$("#restart_restart_dialog").html("<?= t("ARE_YOU_SURE_RESTART_ABORT"); ?>");
		$("#restart_restart_dialog").dialog('open');
	});
	$("#restart_poweroff").mousedown(function() {
		$("#restart_poweroff_dialog").html("<?= t("ARE_YOU_SURE_POWER_OFF_ABORT"); ?>");
		$("#restart_poweroff_dialog").dialog('open');
	});
	$("#restart_refresh").mousedown(function() {
        <?php if ($LOGICUBE_PLATFORM == "zxiforensic"): ?>
		$("#restart_refresh_dialog").html("<?= t("ARE_YOU_SURE_UI_REFRESH"); ?>");
        <?php else: ?>
		$("#restart_refresh_dialog").html("<?= t("ARE_YOU_SURE_REFRESH"); ?>");
        <?php endif; ?>
		$("#restart_refresh_dialog").dialog('open');
	});
	$("#restart_reboot").mousedown(function() {
		$("#restart_reboot_dialog").html("<?= t("ARE_YOU_SURE_REBOOT"); ?>");
		$("#restart_reboot_dialog").dialog('open');
	});

	//set up restart_restart confirmation dialog
	$("#restart_restart_dialog").dialog({
		dialogClass: 'ui-conf-dialog',
		bgiframe: true,
		autoOpen: false,
		modal: true,
		buttons: {
			'YES': function() {
				$(this).dialog('close');
				RunCommand("reboot");
			}
		}
	});

	//set up restart_poweroff confirmation dialog
	$("#restart_poweroff_dialog").dialog({
		dialogClass: 'ui-conf-dialog',
		bgiframe: true,
		autoOpen: false,
		modal: true,
		buttons: {
			'YES': function() {
				$(this).dialog('close');
				RunCommand("poweroff");
			}
		}
	});

	//set up restart_refresh confirmation dialog
	$("#restart_refresh_dialog").dialog({
		dialogClass: 'ui-conf-dialog',
		bgiframe: true,
		autoOpen: false,
		modal: true,
		buttons: {
			'YES': function() {
				$(this).dialog('close');
				RunCommand("pkill chrome");
			}
		}
	});

	//set up restart_reboot confirmation dialog
	$("#restart_reboot_dialog").dialog({
		dialogClass: 'ui-conf-dialog',
		bgiframe: true,
		autoOpen: false,
		modal: true,
		buttons: {
			'YES': function() {
				$(this).dialog('close');
				RunCommand("reboot");
			}
		}
	});

	/* Drive Power */
	$("#drive_inactivity_block").mousedown(function() {
		$("#drive_inactivity_dialog").dialog('open');
	});
	$("#drive_inactivity_dialog").dialog({
		dialogClass: 'ui-sm-dialog ui-sm-dialog-notitlebar',
		bgiframe: true,
		autoOpen: false,
		modal: true,
		resizable: false,
		draggable: false,
		buttons: {
			'OK': function() {
				DISK_INACTIVITY_TIMEOUT = $("#drive_inactivity_timeout_value_slider").slider("value");
                if (DISK_INACTIVITY_TIMEOUT == 0) AUTO_DISK_INACTIVITY_TIMER = false;
                else AUTO_DISK_INACTIVITY_TIMER = true;

				updateDrivePower();
				$(this).dialog('close');
				SetConfiguration({"AutoDiskInactivityTimer": AUTO_DISK_INACTIVITY_TIMER, "DiskInactivityTimeout": DISK_INACTIVITY_TIMEOUT});
			}
		}
	});

}