/* styles for the Manage Repositories screen */

/* Tab bar */
#manage_repos_tab_1 { text-transform: none; }
#manage_repos_page_1 { display: none; }
#manage_repos_page_2 { display: none; }

.manage_repos_title { position: absolute; top: 10px; left: 40px; width: 839px; height: 32px; background: url('<?php print theme_image('modal_titlebar_long.png'); ?>');
padding: 10px 25px; text-transform: uppercase; font-size: 27px; font-weight: bold; letter-spacing: 1px; text-align: left; } 

.manage_repos_shadow_top { position: absolute; top: 70px; left: 43px; width: 882px; height: 15px; background: url('<?php print theme_image('modal_dropshadow_top_882.png'); ?>'); z-index: 10; }
.manage_repos_shadow_right { position: absolute; top: 85px; left: 41px; width: 15px; height: 349px; background: url('<?php print theme_image('modal_dropshadow_right_349.png'); ?>'); z-index: 10; }
.manage_repos_shadow_bottom { position: absolute; top: 434px; left: 43px; width: 882px; height: 15px; background: url('<?php print theme_image('modal_dropshadow_bottom_882.png'); ?>'); z-index: 10; }
.manage_repos_shadow_left { position: absolute; top: 85px; left: 910px; width: 15px; height: 349px; background: url('<?php print theme_image('modal_dropshadow_left_349.png'); ?>'); z-index: 10; }

#manage_repos_files_select td.col2 { word-break: break-all; max-width: 250px; }

<?php if ($LOGICUBE_PLATFORM != "zclonexi" && $LOGICUBE_PLATFORM != "zxtower"): ?>
#manage_repos_select td.col5 { display: none; }
<?php endif; ?>

.manage_repos_files_shadow_top { position: absolute; top: 90px; left: 36px; width: 1023px; height: 15px; background: url('<?php print theme_image('modal_dropshadow_top_1023.png'); ?>'); z-index: 10; }
.manage_repos_files_shadow_right { position: absolute; top: 105px; left: 1044px; width: 15px; height: 392px; background: url('<?php print theme_image('modal_dropshadow_right_392.png'); ?>'); z-index: 10; }
.manage_repos_files_shadow_bottom { position: absolute; top: 497px; left: 36px; width: 1023px; height: 15px; background: url('<?php print theme_image('modal_dropshadow_bottom_1023.png'); ?>'); z-index: 10; }
.manage_repos_files_shadow_left { position: absolute; top: 105px; left: 36px; width: 15px; height: 392px; background: url('<?php print theme_image('modal_dropshadow_left_392.png'); ?>'); z-index: 10; }
#manage_repos_files_delete_btn { position: absolute; top: 525px; left: 400px; }
#manage_repos_files_delete_all_btn { position: absolute; top: 525px; left: 625px; }
#manage_repos_files_delete_dialog { height: 320px !important; margin-top: 67px !important; }
#manage_repos_files_delete_all_dialog { height: 275px !important; margin-top: 112px !important; }
#manage_repos_files_delete_dialog .red, #manage_repos_files_delete_all_dialog .red { color: #900; }
#manage_repos_files_sel_file { font-size: 28px; color: #900; }

/* Add Repo button */
#manage_repos_add_btn { position: absolute; top: 460px; left: 380px; }
#manage_repos_add_dialog { background: url('<?php print theme_image('modal_dropshadow_mode.png'); ?>'); }
#repo_name_block { float: left; margin-top: 45px; margin-left: 25px; }
#repo_drive_block { float: left; margin-top: 45px; margin-left: 100px; }
<?php if ($LOGICUBE_PLATFORM == "zxiforensic"): ?>
#repo_network_source_block { float: left; margin-top: 35px; margin-left: 25px; }
#repo_network_destination_block { float: left; margin-top: 35px; margin-left: 5px; }
#repo_network_source_select { position: relative; left: 242px; }
<?php else: ?>
#repo_network_block { float: left; margin-top: 35px; margin-left: 25px; }
<?php endif; ?>
#repo_role_block { float: left; margin-top: 35px; margin-left: 100px; }
#repo_role_select { text-align: center; }
#repo_role_select DIV { display: inline-block; margin: 0px 20px 45px; }

/* Repo Name modal */
#repo_network_keyboard_dialog .qwerty_keyboard_title { width: 190px; }
#repo_network_keyboard_dialog .qwerty_keyboard_value { width: 320px; margin-right: 51px; }
#repo_network_keyboard_dialog .qwerty_keyboard_value_odd { width: 220px; margin-right: 0px; }
#repo_network_keyboard_dialog .qwerty_keyboard_title_2plus { margin-top: 5px; }
#repo_network_keyboard_dialog .qwerty_keyboard_value_2plus { margin-top: 5px; }
#repo_network_path_val, #repo_network_domain_val { width: 300px; }
#repo_network_username_val, #repo_network_password_val { width: 200px; }

/* Repo Drive modal */
#repo_drive_shadow_top { position: absolute; top: 90px; left: 285px; width: 657px; height: 15px; background: url('<?php print theme_image('modal_dropshadow_top_657.png'); ?>'); z-index: 10; }
#repo_drive_shadow_right { position: absolute; top: 105px; left: 927px; width: 15px; height: 474px; background: url('<?php print theme_image('modal_dropshadow_right_474.png'); ?>'); z-index: 10; }
#repo_drive_shadow_bottom { position: absolute; top: 579px; left: 285px; width: 657px; height: 15px; background: url('<?php print theme_image('modal_dropshadow_bottom_657.png'); ?>'); z-index: 10; }
#repo_drive_shadow_left { position: absolute; top: 105px; left: 285px; width: 15px; height: 474px; background: url('<?php print theme_image('modal_dropshadow_left_474.png'); ?>'); z-index: 10; }
#repo_drives_select { position: relative; left: 242px; }

/* Delete Repository table */
#manage_repos_select tr.select_row td.col1 { word-break: break-all; }
#manage_repos_select tr.select_row td.col2 { word-wrap: break-word; }
#manage_repos_select tr.select_row.network-repo td.col2 { word-break: break-all; }  /* to break long network addresses SMB://... */
#manage_repos_select td.edit-repo { background-image: url('<?php print theme_image('btn_edit.png'); ?>'); background-position: top 50% right 50%; background-repeat: no-repeat; width: 90px; }
#manage_repos_select tr.ui-selected td.edit-repo { background-image: url('<?php print theme_image('btn_edit_on.png'); ?>'); }
#manage_repos_select td.delete-repo { background-image: url('<?php print theme_image('delete_repo.png'); ?>'); background-position: top 50% right 50%; background-repeat: no-repeat; width: 90px; }
#manage_repos_select tr.ui-selected td.delete-repo { background-image: url('<?php print theme_image('delete_repo_on.png'); ?>'); }

/* iSCSI */
#manage_repos_page { text-align: center; }
#iscsi_network_block, #iscsi_role_block { margin: 100px 25px 35px; display: inline-block; vertical-align: top; }
#iscsi_network_block_content, #iscsi_role_block_content { word-wrap: break-word; } /* keep as word-wrap: break-word */
#iscsi_connect, #iscsi_disconnect { margin: 0px auto; }
#iscsi_role_select { text-align: center; }
#iscsi_role_select DIV { display: inline-block; margin: 0px 20px 45px; }

#iscsi_network_keyboard_dialog .qwerty_keyboard_title { width: 200px; }
#iscsi_network_keyboard_dialog .qwerty_keyboard_value { width: 270px; margin-right: 31px; }
#iscsi_network_keyboard_dialog .qwerty_keyboard_title_odd { width: 200px; }
#iscsi_network_keyboard_dialog .qwerty_keyboard_value_odd { width: 270px; margin-right: 0px; }
#iscsi_network_keyboard_dialog .qwerty_keyboard_title_2plus { margin-top: 5px; line-height: 30px; margin-left: 501px; }
#iscsi_network_keyboard_dialog .qwerty_keyboard_value_2plus { margin-top: 5px; }
#iscsi_portal_val, #iscsi_username_val, #iscsi_password_val { width: 250px; }

/* Configuration */
#manage_repos_tab_2 { display: none; }	/* only shown on Falcon */
#config_file_system_block { margin: 100px auto; display: inline-block; vertical-align: top; }
#config_file_system_select { text-align: center; }
#config_file_system_select DIV { display: inline-block; margin: 0px 20px 45px; }

/* Format Drives button */
/* #format_drive_btn { position: absolute; top: 460px; left: 390px; } */

/* Drive Details dialog */
/* #format_drives_details { background: url('<?php print theme_image('modal_dropshadow_details.png'); ?>'); width: 1023px !important; height: 504px !important; }
#format_drives_details_content { width: 983px; padding: 20px; }
#format_drives_details_content td { color: #000; font-size: 29px; letter-spacing: 2px; } */

