/* styles for the Network Settings screen */

/* Tab bar */
<?php if ($LOGICUBE_PLATFORM == "zxiforensic"): ?>
#network_settings_tab_1 { display: table; }
<?php else: ?>
#network_settings_tab_1 { display: none; }
<?php endif; ?>
#network_settings_page_1 { display: none; }
#network_settings_page_2 { display: none; }

/* Network Services */
#network_services_title { position: absolute; top: 10px; left: 40px; width: 839px; height: 32px; background: url('<?php print theme_image('modal_titlebar_long.png'); ?>');
padding: 10px 25px; text-transform: uppercase; font-size: 27px; font-weight: bold; letter-spacing: 1px; } 

.network_services_shadow_top { position: absolute; top: 70px; left: 54px; width: 770px; height: 15px; background: url('<?php print theme_image('modal_dropshadow_top_770.png'); ?>'); z-index: 10; }
.network_services_shadow_right { position: absolute; top: 85px; left: 810px; width: 15px; height: 349px; background: url('<?php print theme_image('modal_dropshadow_right_349.png'); ?>'); z-index: 10; }
.network_services_shadow_bottom { position: absolute; top: 434px; left: 54px; width: 770px; height: 15px; background: url('<?php print theme_image('modal_dropshadow_bottom_770.png'); ?>'); z-index: 10; }
.network_services_shadow_left { position: absolute; top: 85px; left: 54px; width: 15px; height: 349px; background: url('<?php print theme_image('modal_dropshadow_left_349.png'); ?>'); z-index: 10; }

#network_services_enable_btn { position: absolute; top: 460px; left: 360px; }

<?php if ($LOGICUBE_PLATFORM == "zxiforensic"): ?>
/* Network Interfaces */
#network_interfaces_title { position: absolute; top: 10px; left: 40px; width: 839px; height: 32px; background: url('<?php print theme_image('modal_titlebar_long.png'); ?>');
padding: 10px 25px; text-transform: uppercase; font-size: 27px; font-weight: bold; letter-spacing: 1px; } 
#network_interfaces_edit_config_btn { position: absolute; top: 460px; left: 300px; }

#interface_type_block { float: left; margin-top: 45px; margin-left: 25px; }
#interface_ip_block { float: left; margin-top: 45px; margin-left: 100px; }
#interface_mtu_block { float: left; margin-top: 35px; margin-left: 25px; }

#interface_type_select { text-align: center; }
#interface_type_select DIV { display: block; margin: 0px auto 45px; }

/* Edit IP Settings */
#interface_ip_shadow_top { position: absolute; top: 90px; left: 36px; width: 1172px; height: 15px; background: url('<?php print theme_image('modal_dropshadow_top_1172.png'); ?>'); z-index: 10; }
#interface_ip_shadow_right { position: absolute; top: 105px; left: 1193px; width: 15px; height: 474px; background: url('<?php print theme_image('modal_dropshadow_right_474.png'); ?>'); z-index: 10; }
#interface_ip_shadow_bottom { position: absolute; top: 579px; left: 36px; width: 1172px; height: 15px; background: url('<?php print theme_image('modal_dropshadow_bottom_1172.png'); ?>'); z-index: 10; }
#interface_ip_shadow_left { position: absolute; top: 105px; left: 36px; width: 15px; height: 474px; background: url('<?php print theme_image('modal_dropshadow_left_474.png'); ?>'); z-index: 10; }
#interface_ip_nums_block { background: #d2edf6; width: 1158px; height: 488px; border-top-left-radius: 10px; border-top-right-radius: 10px; border-bottom-left-radius: 10px; border-bottom-right-radius: 10px; -moz-border-radius-topleft: 10px; -moz-border-radius-topright: 10px; -moz-border-radius-bottomleft: 10px; -moz-border-radius-bottomright: 10px; font-size: 19px !important; position: relative; top: 4px; left: 7px; }

#interface_ip_enter { float: left; margin-top: 25px; margin-left: 160px; color: #000; font-size: 28px !important; font-weight: bold; }
#interface_ip_enter label, #settings_key_reenter label { clear: both; width: 200px; display: block; float: left; margin-top: 20px; }
#interface_ip_error { float: left; width: 300px; margin-left: 30px; margin-top: 26px; color: #900; font-size: 21px; }

#interface_ip_boxes, #interface_gateway_boxes, #interface_dns_boxes { float: left; }
#interface_ip_boxes div, #interface_gateway_boxes div, #interface_dns_boxes div { float: left; width: 84px; height: 74px; 
    margin: 5px 14px; box-sizing: border-box; -moz-box-sizing: border-box; -webkit-box-sizing: border-box; }
#interface_ip_boxes div.focus, #interface_gateway_boxes div.focus, #interface_dns_boxes div.focus { border-bottom: 4px solid #25666f; }
#interface_ip_boxes input, #interface_gateway_boxes input, #interface_dns_boxes input { width: 70px; height: 50px; padding: 3px 3px 6px; background: #fff; font-weight: bold; letter-spacing: 2px; color: #000; text-transform: uppercase; text-align: center; border: 4px solid #25666f; outline: none; }
div.interface_dot { margin: 0px !important; width: auto !important; height: auto !important; position: relative; top: 18px; }
div.interface_slash { margin: 0px !important; width: auto !important; height: auto !important; position: relative; top: 18px; }

#interface_ip_keys { clear: both; float: left; width: 700px; margin: 15px 230px 10px; text-align: center; }
#interface_ip_keys div { display: inline-block; background: url('<?php print theme_image('btn_hex.gif'); ?>') no-repeat 50% 50%; width: 70px; height: 50px; padding: 30px 10px 10px; margin: 0px 6px; font-size: 31px; font-weight: bold; letter-spacing: 2px; color: #000; text-transform: uppercase; text-align: center; }
#interface_ip_keys #iv0 { margin-left: 0px; }
#interface_ip_keys #iv5 { margin-right: 0px; }
#interface_ip_keys #iv6 { margin-left: 52px; }

/*
#interface_ip_keyboard_dialog .qwerty_keyboard_title { width: 163px; }
#interface_ip_keyboard_dialog .qwerty_keyboard_value { width: 355px; margin-right: 5px; text-align: left; }
#interface_ip_keyboard_dialog .qwerty_keyboard_value_odd { width: 283px; margin-right: 0px; }
#interface_ip_keyboard_dialog .qwerty_keyboard_title_2plus { margin-top: 5px; }
#interface_ip_keyboard_dialog .qwerty_keyboard_value_2plus { margin-top: 5px; }
#interface_ip_val1, #interface_ip_val2, #interface_ip_val3, #interface_ip_val4 { width: 43px; margin: 0 1px; text-align: center; }
#interface_netmask_val { width: 35px; margin: 0 1px; text-align: center; }
#interface_gateway_val1, #interface_gateway_val2, #interface_gateway_val3, #interface_gateway_val4 { width: 43px; margin: 0 1px; text-align: center; }
#interface_dns_val1, #interface_dns_val2, #interface_dns_val3, #interface_dns_val4 { width: 43px; margin: 0 1px; text-align: center; }

#ipsettings_key_keys { float: left; margin: 10px 69px; }
#ipsettings_key_keys div { float: left; background: url('<?php print theme_image('btn_hex.gif'); ?>') no-repeat 50% 50%; width: 70px; height: 50px; padding: 30px 10px 10px; margin: 0px 6px; font-size: 31px; font-weight: bold; letter-spacing: 2px; color: #000; text-transform: uppercase; text-align: center; }
#ipsettings_key_keys div#kk10 { margin-left: 210px; }
*/

#mtu_set_value { height: 59px; }
#mtu_set_value input { width: 342px; height: 51px; padding-top: 3px; margin: 10px 5px; font-weight: bold; letter-spacing: 2px; color: #000; text-transform: uppercase; text-align: center; background: #fff; border: 4px solid #25666f; outline: none; }

/* MTU Entry */
.mtu-set-dialog { z-index: 10000 !important; }
#mtu_set_value { height: 59px; }
#mtu_set_value input { width: 342px; height: 51px; padding-top: 3px; margin: 10px 5px; font-weight: bold; letter-spacing: 2px; color: #000; text-transform: uppercase; text-align: center; background: #fff; border: 4px solid #25666f; outline: none; }

#mtu_set_keys { margin: 15px auto; }
#mtu_set_keys div { float: left; background: url('<?php print theme_image('btn_hex.gif'); ?>'); width: 70px; height: 50px; padding-top: 20px; margin: 10px 16px; font-size: 31px; font-weight: bold; letter-spacing: 2px; color: #000; text-transform: uppercase; text-align: center; }
#mtu_set_keys #bk0 { margin-left: 0px; }
#mtu_set_keys #bk5 { margin-right: 0px; }
#mtu_set_keys #bk6 { margin-left: 52px; }

<?php endif; ?>

/* Network Settings */
#network_settings_page_2 { text-align: center; }
#network_settings_server_block, #network_settings_user_block { margin: 100px 25px; display: inline-block; vertical-align: top; }
#network_settings_server_block_content, #network_settings_user_block_content { word-wrap: break-word; } /* keep as word-wrap: break-word */
#network_settings_server_val { width: 500px; }
#network_settings_port_val { width: 100px; }

#network_settings_user_keyboard_dialog .qwerty_keyboard_title { width: 200px; }
#network_settings_user_keyboard_dialog .qwerty_keyboard_value { width: 270px; margin-right: 31px; }
#network_settings_user_error { width: 470px; margin-right: 31px; margin-top: 5px; float: left; text-transform: none; font-weight: normal; text-align: right; color: #900; margin-top: 15px; }
#network_settings_user_keyboard_dialog .qwerty_keyboard_title_odd { width: 200px; }
#network_settings_user_keyboard_dialog .qwerty_keyboard_value_odd { width: 270px; margin-right: 0px; }
#network_settings_user_keyboard_dialog .qwerty_keyboard_title_2plus { margin-top: 5px; line-height: 30px; }
#network_settings_user_keyboard_dialog .qwerty_keyboard_value_2plus { margin-top: 5px; }
#network_settings_username_val, #network_settings_password_val, #network_settings_repassword_val { width: 250px; }

