/* styles for the Stats screen */

/* Tab bar */
<?php if ($LOGICUBE_PLATFORM == "zclonexi" || $LOGICUBE_PLATFORM == "zxtower"): ?>
#stats_tab_2 { display: table; }
#stats_tab_3 { display: table; }
#stats_tab_4 { display: none; }
<?php elseif ($LOGICUBE_PLATFORM == "zxiforensic"): ?>
#stats_tab_2 { display: table; }
#stats_tab_3 { display: none; }
#stats_tab_4 { display: table; }
<?php else: ?>
#stats_tab_2 { display: none; }
#stats_tab_3 { display: none; }
#stats_tab_4 { display: none; }
<?php endif; ?>
#stats_page_1 { display: none; }
#stats_page_2 { display: none; }
#stats_page_3 { display: none; }
#stats_page_4 { display: none; }

#stats_about_title { position: absolute; top: 10px; left: 40px; width: 839px; height: 32px; background: url('<?php print theme_image('modal_titlebar_long.png'); ?>'); padding: 10px 25px; text-transform: uppercase; font-size: 27px; font-weight: bold; letter-spacing: 1px; } 

#stats_about_shadow_top { position: absolute; top: 70px; left: 43px; width: 882px; height: 15px; background: url('<?php print theme_image('modal_dropshadow_top_882.png'); ?>'); z-index: 10; }
#stats_about_shadow_right { position: absolute; top: 85px; left: 910px; width: 15px; height: 392px; background: url('<?php print theme_image('modal_dropshadow_right_392.png'); ?>'); z-index: 10; }
#stats_about_shadow_bottom { position: absolute; top: 477px; left: 43px; width: 882px; height: 15px; background: url('<?php print theme_image('modal_dropshadow_bottom_882.png'); ?>'); z-index: 10; }
#stats_about_shadow_left { position: absolute; top: 85px; left: 43px; width: 15px; height: 392px; background: url('<?php print theme_image('modal_dropshadow_left_392.png'); ?>'); z-index: 10; }
#stats_about_content { position: relative; top: 0px; left: 17px; background: #73a5a5; width: 803px; min-height: 362px; padding: 20px 30px; border-radius: 10px; -moz-border-radius: 10px; }
#stats_about_content td { font-size: 27px; font-weight: bold; letter-spacing: 1px; color: #000; word-break: break-all; }

#stats_bay_row { position: absolute; top: 0px; left: 20px; }
#stats_bay_title { float: left; width: 106px; height: 32px; background: url('<?php print theme_image('modal_titlebar_short.png'); ?>'); margin: 10px 110px 0px 20px;
padding: 10px 25px; text-transform: uppercase; font-size: 27px; font-weight: bold; letter-spacing: 1px; text-align: center; } 
#stats_bay_down { float: left; width: 100px; height: 78px; margin-top: 5px; background: url('<?php print theme_image('scroller_arrow_left.gif'); ?>'); }
#stats_bay_box { float: left; min-width: 90px; height: 28px; background: #000; margin: 5px 30px 0px; text-align: center;
padding: 25px 10px; text-transform: uppercase; font-size: 27px; font-weight: bold; letter-spacing: 1px; } 
#stats_bay_up { float: left; width: 100px; height: 78px; margin-top: 5px; background: url('<?php print theme_image('scroller_arrow_right.gif'); ?>'); }

#stats_bay_shadow_top { position: absolute; top: 85px; left: 43px; width: 882px; height: 15px; background: url('<?php print theme_image('modal_dropshadow_top_882.png'); ?>'); z-index: 10; }
#stats_bay_shadow_right { position: absolute; top: 100px; left: 910px; width: 15px; height: 392px; background: url('<?php print theme_image('modal_dropshadow_right_392.png'); ?>'); z-index: 10; }
#stats_bay_shadow_bottom { position: absolute; top: 492px; left: 43px; width: 882px; height: 15px; background: url('<?php print theme_image('modal_dropshadow_bottom_882.png'); ?>'); z-index: 10; }
#stats_bay_shadow_left { position: absolute; top: 100px; left: 43px; width: 15px; height: 392px; background: url('<?php print theme_image('modal_dropshadow_left_392.png'); ?>'); z-index: 10; }

#stats_attr_select { position: relative; top: 0px; left: 0px; border-spacing: 5px 0px; width: 873px; }
#stats_attr_select td { font-size: 18px; font-weight: bold; letter-spacing: 1px; color: #000; text-align: center; line-height: 15px; }
.stats_attr_select_hdr_row td.col1 { background: #73a5a5; height: 50px; border-top-left-radius: 10px; border-top-right-radius: 10px; -moz-border-radius-topleft: 10px; -moz-border-radius-topright: 10px; text-align: left !important; padding: 0px 20px; }
.stats_attr_select_row td.attrcol1, .stats_attr_select_row td.attrcol { background: #d2edf6; height: 75px; }
.stats_attr_select_row td.col1, .stats_attr_select_row td.col { background: #73a5a5; height: 75px; }

.stats_attr_select_row td div { word-wrap: break-word; } /* keep as word-wrap: break-word */
.stats_attr_select_row hr { color: #000; height: 1px; background-color: #000; border: none; width: 60%; margin: 3px auto; }

.stats_attr_spacer_row .col1, .stats_attr_spacer_row .col { background: #7fb7b9; height: 2px; margin-right: 10px; }
.stats_attr_select_ftr_row td.col1 { background: #9acccd; height: 31px; border-bottom-left-radius: 10px; border-bottom-right-radius: 10px; -moz-border-radius-bottomleft: 10px; -moz-border-radius-bottomright: 10px; }

<?php if ($LOGICUBE_PLATFORM == "zxiforensic"): ?>
#stats_ports { margin: 20px auto; width: 774px; height: 403px; background: url('<?php print theme_image('zxiforensic_ports.png'); ?>'); }
<?php else: ?>
#stats_ports { margin: 20px auto; width: 703px; height: 403px; background: url('<?php print theme_image('zxi_ports.png'); ?>'); }
<?php endif; ?>

#stats_features_title { position: absolute; top: 10px; left: 40px; width: 839px; height: 32px; background: url('<?php print theme_image('modal_titlebar_long.png'); ?>'); padding: 10px 25px; text-transform: uppercase; font-size: 27px; font-weight: bold; letter-spacing: 1px; } 

#stats_features_dialog { width: 550px !important; height: 360px !important; margin: 0px 0px 0px 25px !important; position: relative; top: -30px; font-size: 33px; }
.stats-features-dialog .ui-dialog-buttonset { position: relative; top: -10px; }
#stats_features_dialog .red { color: #900; }

#stats_interface_title { position: absolute; top: 10px; left: 40px; width: 839px; height: 32px; background: url('<?php print theme_image('modal_titlebar_long.png'); ?>'); padding: 10px 25px; text-transform: uppercase; font-size: 27px; font-weight: bold; letter-spacing: 1px; }

#stats_interface_select { position: relative; top: 0px; left: 0px; border-spacing: 5px 0px; width: 873px; }
#stats_interface_select td { font-size: 18px; font-weight: bold; letter-spacing: 1px; color: #000; text-align: center; line-height: 15px; }
.stats_interface_select_row td.attrcol { background: #d2edf6; height: 75px; }
.stats_interface_select_row td.col { background: #73a5a5; height: 75px; }
.stats_interface_spacer_row .col { background: #7fb7b9; height: 2px; margin-right: 10px; }
.stats_interface_select_ftr_row td.col { background: #9acccd; height: 31px; border-bottom-left-radius: 10px; border-bottom-right-radius: 10px; -moz-border-radius-bottomleft: 10px; -moz-border-radius-bottomright: 10px; }

